/*
 /*
 * curso.js versão 1.4
 *
 * Universidade Aberta do SUS - www.unasus.gov.br
 *
 */

function atualizarAndamento(unidadeaula) {

    var status_change = false;

//Aqui o objeto status recém-criado recebe os valores do getStatus()    
    var status = unasus.pack.getStatus();
    //Caso status seja null, é realizado um setStatus enviando como parâmetro o objeto status_def, criado agora
    if (status === undefined) {
        status = criarStatusDefault();
    }

    if (status === null) {
        return;
    }

    var u1 = 0;
    var u2 = 0;
    var u3 = 0;
    var u4 = 0;
    var u5 = 0;

    var u1t1 = 0;
    var u1t2 = 0;
    var u1t3 = 0;
    var u1t4 = 0;

    var u2t1 = 0;
    var u2t2 = 0;
    var u2t3 = 0;
    var u2t4 = 0;

    var u3t1 = 0;
    var u3t2 = 0;
    var u3t3 = 0;
    var u3t4 = 0;

    var u4t1 = 0;
    var u4t2 = 0;
    var u4t3 = 0;
    var u4t4 = 0;

    if (unidadeaula) {
        if (status[unidadeaula] !== true) {
            status[unidadeaula] = true;
            status_change = true;
        }
    }

    if (status["U1T1"] === true && status["U1T2"] === true && status["U1T3"] === true && status["U1T4"] === true) {
        if (status["U1"] !== true) {
            status["U1"] = true;
            status_change = true;
        }
    }
    if (status["U2T1"] === true && status["U2T2"] === true && status["U2T3"] === true && status["U2T4"] === true) {
        if (status["U2"] !== true) {
            status["U2"] = true;
            status_change = true;
        }
    }
    if (status["U3T1"] === true && status["U3T2"] === true && status["U3T3"] === true && status["U3T4"] === true) {
        if (status["U3"] !== true) {
            status["U3"] = true;
            status_change = true;
        }
    }
    if (status["U4T1"] === true && status["U4T2"] === true && status["U4T3"] === true && status["U4T4"] === true) {
        if (status["U4"] !== true) {
            status["U4"] = true;
            status_change = true;
        }
    }


    if (status["U1T1"] === true) {
        u1t1 = 25;
    }
    if (status["U1T2"] === true) {
        u1t2 = 25;
    }
    if (status["U1T3"] === true) {
        u1t3 = 25;
    }
    if (status["U1T4"] === true) {
        u1t4 = 25;
    }

    if (status["U2T1"] === true) {
        u2t1 = 5;
    }
    if (status["U2T2"] === true) {
        u2t2 = 5;
    }
    if (status["U2T3"] === true) {
        u2t3 = 5;
    }
    if (status["U2T4"] === true) {
        u2t4 = 5;
    }

    if (status["U3T1"] === true) {
        u3t1 = 5;
    }
    if (status["U3T2"] === true) {
        u3t2 = 5;
    }
    if (status["U3T3"] === true) {
        u3t3 = 5;
    }
    if (status["U3T4"] === true) {
        u3t4 = 5;
    }

    if (status["U4T1"] === true) {
        u4t1 = 5;
    }
    if (status["U4T2"] === true) {
        u4t2 = 5;
    }
    if (status["U4T3"] === true) {
        u4t3 = 5;
    }
    if (status["U4T4"] === true) {
        u4t4 = 5;
    }

    if (status["U5"] === true) {
        u5 = 20;
    }

    u1 = u1t1 + u1t2 + u1t3 + u1t4;
    u2 = u2t1 + u2t2 + u2t3 + u2t4;
    u3 = u3t1 + u3t2 + u3t3 + u3t4;
    u4 = u4t1 + u4t2 + u4t3 + u4t4;

    var totalpointssum = u1 + u2 + u3 + u4 + u5;
    var new_lti = 0;
    var new_per = 0;

    if (totalpointssum > 0) {
        new_per = totalpointssum;
        new_lti = totalpointssum / 100;
    }

    if (new_per > status.percentage) {
        status_change = true;
        status.percentage = new_per;
    }

    if (status.percentage >= 100) {
        if (status.status !== "completed") {
            status_change = true;
            status.status = "completed";
        }
    }

    if (status.percentage < 100 && status.percentage > 0) {
        if (status.status !== "attempted") {
            status_change = true;
            status.status = "attempted";
        }
    }

    if (status.percentage <= 0) {
        if (status.status !== "attended") {
            status_change = true;
            status.status = "attended";
        }
    }

    if (new_lti > status.LTIvalue) {
        status_change = true;
        status.LTIvalue = new_lti;
    }

    if (status_change) {
        unasus.pack.setStatus(status);
    }

}

function montarAndamento() {

    var status = unasus.pack.getStatus();
    //Caso status seja null, é realizado um setStatus enviando como parâmetro o objeto status_def, criado agora
    if (status === undefined) {
        status = criarStatusDefault();
    }

    if (status === null) {
        return;
    }

    var array_unidade_aula = ["U1T1", "U1T2", "U1T3", "U1T4", "U2T1", "U2T2", "U2T3", "U2T4", "U3T1", "U3T2", "U3T3", "U3T4", "U4T1", "U4T2", "U4T3", "U4T4"];
    var array_unidade = ["U1", "U2", "U3", "U4", "U5"];

    for (var position = 0; position < array_unidade_aula.length; position++) {

        var unidadeTema = array_unidade_aula[position];
        var btn = "btn_" + array_unidade_aula[position];

        if (document.getElementById(btn)) {

            var elem = document.getElementById(btn);
            var status_elem = status[unidadeTema];

            if (status_elem === true) {
                elem.style.display = "block";
            } else {
                elem.style.display = "none";
            }
        }
    }


    for (var position = 0; position < array_unidade.length; position++) {

        var unidadeTema = array_unidade[position];
        var btn = "btn_" + array_unidade[position];

        if (document.getElementById(btn)) {

            var elem = document.getElementById(btn);
            var status_elem = status[unidadeTema];

            if (status_elem === true) {
                elem.style.display = "block";
            } else {
                elem.style.display = "none";
            }
        }
    }

    $('#progressobarra').html('<div class="progress"><div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="' + status.percentage + '" aria-valuemin="0" aria-valuemax="100" style="width: ' + status.percentage + '%">');

    if (document.getElementById("minhaporcentagem")) {
        var elem = document.getElementById("minhaporcentagem");
        elem.innerHTML = "Você acessou " + status.percentage + "% do conteúdo deste curso.";
    }

}

/* -------- Download e links externos --------------------- */

function download_file_text(href) {

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");
    var filename = href.substring(href.lastIndexOf('/') + 1);
    var down = '{' + res_atual.toUpperCase() + ':' + filename + '}';
    app.downloadControl("text", down);
}

function download_file_img(href) {

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");
    var filename = href.substring(href.lastIndexOf('/') + 1);
    var down = '{' + res_atual.toUpperCase() + ':' + filename + '}';
    app.downloadControl("image", down);
}

function download_file_audio(href) {

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");
    var filename = href.substring(href.lastIndexOf('/') + 1);
    var down = '{' + res_atual.toUpperCase() + ':' + filename + '}';
    app.downloadControl("audio", down);
}

function download_file_video(href) {

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");
    var filename = href.substring(href.lastIndexOf('/') + 1);
    var down = '{' + res_atual.toUpperCase() + ':' + filename + '}';
    app.downloadControl("video", down);
}

function external_link(href) {

    app.externalLinkControl(href);
}

/* -------------- CONTROLE DO VÍDEO -----------------*/

function loadVideosQuality(unidade) {

    var quality = app.settings_videoquality();

    switch (quality) {

        case '360p':
            $('.videoquality_360p').prop("checked", true);
            $('.videoquality_720p').prop("checked", false);
            break;
        case '720p':
            $('.videoquality_360p').prop("checked", false);
            $('.videoquality_720p').prop("checked", true);
            break;
        default:
            $('.videoquality_360p').prop("checked", true);

    }

    switch (unidade) {

        case "envelhecimento":
            $("#videoMain").html('<source type = "video/mp4" src = "lib/videos/envelhecimento_' + quality + '.mp4" / >');
            $("#videoExtra1").html('<source type = "video/mp4" src = "lib/videos/envelhecimento_' + quality + '.mp4" / >');
            $("#videoExtra2").html('<source type = "video/mp4" src = "lib/videos/envelhecimento-hoje_' + quality + '.mp4" / >');
            $("#videoExtra3").html('<source type = "video/mp4" src = "lib/videos/declinio-funcional_' + quality + '.mp4" / >');
            break;
        case  "avaliacao-multidimensional":
            $("#videoMain").html('<source type = "video/mp4" src = "lib/videos/u3-envelhecimento-desafios_' + quality + '.mp4" / >');
            $("#videoExtra1").html('<source type = "video/mp4" src = "lib/videos/u3-aplicacao-exame-estado-mental_' + quality + '.mp4" / >');
            $("#videoExtra2").html('<source type = "video/mp4" src = "lib/videos/u3-escala-depressao-geriatrica_' + quality + '.mp4" / >');
            $("#videoExtra3").html('<source type = "video/mp4" src = "lib/videos/u3-escala-katz_' + quality + '.mp4" / >');
            $("#videoExtra4").html('<source type = "video/mp4" src = "lib/videos/u3-escala-lawton_' + quality + '.mp4" / >');
            break;
        case   "condicoes-clinicas":
            $("#videoExtra1").html('<source type = "video/mp4" src = "lib/videos/envelhecimento_' + quality + '.mp4" / >');
            break;
        case  "trabalho-em-equipe":
            $("#videoMain").html('<source type = "video/mp4" src = "lib/videos/u5-trabalho-equipe_' + quality + '.mp4" / >');
            $("#videoExtra1").html('<source type = "video/mp4" src = "lib/videos/reuniao-equipe_' + quality + '.mp4" / >');
            break;
    }


}

function saveupdate(unidade, quality) {

    switch (quality) {

        case '360p':
            $('.videoquality_360p').prop("checked", true);
            $('.videoquality_720p').prop("checked", false);
            break;
        case '720p':
            $('.videoquality_360p').prop("checked", false);
            $('.videoquality_720p').prop("checked", true);
            break;
        default:
            $('.videoquality_360p').prop("checked", true);
    }

    switch (unidade) {

        case "envelhecimento":
            $('#videoMain').attr("src", 'lib/videos/envelhecimento_' + quality + '.mp4');
            $('#videoExtra1').attr("src", 'lib/videos/envelhecimento_' + quality + '.mp4');
            $('#videoExtra2').attr("src", 'lib/videos/envelhecimento-hoje_' + quality + '.mp4');
            $('#videoExtra3').attr("src", 'lib/videos/declinio-funcional_' + quality + '.mp4');
            break;
        case  "avaliacao-multidimensional":
            $('#videoMain').attr("src", 'lib/videos/u3-envelhecimento-desafios_' + quality + '.mp4');
            $('#videoExtra1').attr("src", 'lib/videos/u3-aplicacao-exame-estado-mental_' + quality + '.mp4');
            $('#videoExtra2').attr("src", 'lib/videos/u3-escala-depressao-geriatrica_' + quality + '.mp4');
            $('#videoExtra3').attr("src", 'lib/videos/u3-escala-katz_' + quality + '.mp4');
            $('#videoExtra4').attr("src", 'lib/videos/u3-escala-lawton_' + quality + '.mp4');
            break;
        case "condicoes-clinicas":
            $('#videoExtra1').attr("src", 'lib/videos/envelhecimento_' + quality + '.mp4');
            break;
        case  "trabalho-em-equipe":
            $('#videoMain').attr("src", 'lib/videos/u5-trabalho-equipe_' + quality + '.mp4');
            $('#videoExtra1').attr("src", 'lib/videos/reuniao-equipe_' + quality + '.mp4');
            break;
    }

    app.settings_videoquality(quality);
}



/*---------------- QUIZ -----------------------*/


function renderQuestions(questionario) {

    /*Array que contem dicionários sobre as questões;
     * 
     *  id = identificador
     *  p = pergunta
     *  r = resposta que o usuário pode escolher
     *  f = feedback dado pelo sistema dependendo do r escolhido pelo usuario
     *  correct = indica qual o r correto
     * 
     */

    var quest1 = [
        {
            "id": 1

            , "p": "Que fatores se relacionam diretamente com as mudanças demográficas observadas no Brasil, caracterizadas pelo envelhecimento populacional?<br><br>"

            , "r1": "Diminuição do número de filhos nas famílias e declínio das taxas gerais de mortalidade.", "f1": "Muito bem! No Brasil, até a década de 1960, houve um crescimento populacional homogêneo. A partir da década de 1970, observou-se que a proporção entre crianças e pessoas com 60 anos ou mais começou a diminuir, dando início à transição demográfica. Efetivamente, a diminuição das taxas de fecundidade e de natalidade tem sido observada ao longo dos anos no Brasil, o que reduz a proporção de indivíduos nas faixas etárias menores. Além disso, a queda das taxas gerais de mortalidade contribui para o aumento da expectativa de vida com consequente envelhecimento populacional."

            , "r2": "Diminuição das taxas de mortalidade por doença infecciosas e parasitárias nos últimos anos.", "f2": "Atenção! Ainda que a menor mortalidade por essas doenças seja um fator relevante para o aumento do número de idosos, devemos indicar que esse fator também influencia a mortalidade infantil e a mortalidade geral do país. Por outro lado, a diminuição da mortalidade de idosos, como a mortalidade da população em geral, é influenciada por uma série de outros fatores, como uma melhoria de condições de vida e moradia, alimentação saudável, exercícios físicos, entre outros."

            , "r3": "Aumento da proporção de mulheres na população idosa e de octagenários entre as pessoas idosas.", "f3": "Atenção! A feminização da população idosa relaciona-se com a maior mortalidade observada entre os homens em todas as faixas etárias. Já o aumento da população com 80 anos ou mais é outra característica das modificações observadas. No entanto, nenhuma dessas duas características explicam o envelhecimento populacional."

            , "r4": "Diminuição das taxas de mortalidade por doenças infecciosas, parasitárias e cronicodegenerativas.", "f4": "Atenção! Na realidade, observa-se uma redução na mortalidade por doenças infectoparasitárias e aumento da mortalidade por doenças cronicodegenerativas. Além disso, pode-se dizer que temos, atualmente, uma superposição das doenças cronicodegerativas, dos acidentes e das violências sobre as doenças transmissíveis (CHAIMOWICZ, 2009). Ou seja, atualmente há tripla carga de agravos à saúde."

            , "correct": "r1"},
        {
            "id": 2

            , "type": "drag"

            , "p": "2. Clique sobre os termos descritos à esquerda e arraste-os para seus respectivos conceitos.<br><br>"

            , "left1": "Envelhecimento populacional"

            , "left2": "Envelhecimento individual"

            , "left3": "Envelhecimento ativo"

            , "left4": "Senescência &amp; artes"

            , "left5": "Senilidade"

            , "right1": " Mudança na estrutura etária da população, o que produz um aumento do peso relativo das pessoas acima de determinada idade, considerada como definidora do início da velhice."

            , "right2": "Processo sequencial, individual, acumulativo, irreversível, universal, não patológico, de deterioração de um organismo maduro, próprio a todos os membros de uma espécie, de maneira que o tempo o torne menos capaz de fazer frente ao estresse do meio ambiente e, portanto, aumente sua possibilidade de morte."

            , "right3": "Refere-se à participação contínua das pessoas em questões sociais, econômicas, culturais, espirituais e civis, não se restringindo à participação em programas de atividade física ou à integração da força de trabalho."

            , "right4": "Processo natural de envelhecimento que, em condições normais, não costuma provocar qualquer problema."

            , "right5": "Condição patológica do envelhecimento que requer assistência. Essa condição ocorrer devido a situações de sobrecarga, como, por exemplo, a presença de doenças."
        },
        {
            "id": 3

            , "p": "A Política Nacional de Saúde da Pessoa Idosa - PNSPI (Portaria MS/GM n° 2528, de 19 de outubro de 2006), assim como outros marcos legais nacionais, inclui direitos e busca preservar a integração social da pessoa idosa. Considerando tais características, marque abaixo a opção correta a respeito da legislação brasileira voltada à população idosa.<br><br>"

            , "r1": "O trabalho é preponderante na manutenção da identidade do idoso e na sua integração social.", "f1": "Muito bem! Trabalhar, pertencer a um grupo, sentir-se útil, participar de ações e contribuir para a manutenção de sua família são realmente fatores fundamentais na preservação da autoestima e inclusão social do idoso."

            , "r2": "As salvaguardas legais garantem a ideia do pertencimento do idoso à sociedade.", "f2": "Atenção! Na verdade, os aparatos legais, políticas públicas e outros mecanismos de bem-estar oferecidos ao idoso não são, de regra, suficientes para preservar e promover a sua inserção social, dependentes de outros fatores como o trabalho, a família, renda, as condições sanitárias e de moradia, e o convívio com outras pessoas."

            , "r3": "Viver com a família e dela depender é importante na manutenção da identidade social do idoso.", "f3": "Atenção! O convívio familiar é um fator importante na preservação da identidade social do idoso. No entanto, a dependência física, financeira e/ou emocional de parentes ou cônjuges é um fator negativo, pois pode baixar a autoestima da pessoa idosa e produzir, por vezes, quadros de depressão."

            , "r4": "No Brasil, houve amplo preparo social e político para o envelhecimento populacional.", "f4": "Atenção! Na realidade, a percepção do envelhecimento populacional no Brasil, ocorreu com atraso. E essa falta de percepção do envelhecimento da população reflete-se, por exemplo, na falta de profissionais com conhecimento sobre as especificidades do processo de envelhecimento."

            , "correct": "r3"}
    ];
    var quest2 = [
        {
            "id": 1

            , "p": "Qual das opções abaixo não é um critério definidor de fragilidade da pessoa idosa, segunda a Política Nacional de Saúde da Pessoa Idosa (PT 2528/2006)? <br><br>"

            , "r1": "Ter, pelo menos, duas incapacidades funcionais básicas", "f1": "Muito bem! Segundo a Política Nacional de Saúde da Pessoa Idosa (2006), um dos critérios para caracterizar a fragilidade da pessoa idosa é ter, pelo menos, uma incapacidade funcional básica. As incapacidades funcionais básicas dizem respeito às atividades de vida diária (AVD), como tomar banho, vestir-se e comer."

            , "r2": "Viver em instituição de longa permanência para idosos (ILPI).", "f2": "Atenção!  Viver em ILPI é considerado um critério definidor de fragilidade, pois pessoas idosas que vivem nessas instituições estão em situação de vulnerabilidade social."

            , "r3": "Estar acamado(a)", "f3": "Atenção! Estar acamado(a) é um critério definidor de fragilidade para a pessoa idosa, pois a torna dependente para atividades de vida diária, como tomar banho e vestir-se, e para atividades instrumentais, como fazer compras."

            , "r4": "Ter mais de 75 anos", "f4": "Atenção! Segundo a Política Nacional de Saúde da Pessoa Idosa (2006), pessoas com mais de 75 anos são consideradas frágeis."

            , "correct": "r1"},
        {
            "id": 2

            , "p": "Qual dos seguintes instrumentos de registro permite a avaliação de idosos segundo a sua capacidade funcional?<br><br>"

            , "r1": "A Caderneta de Saúde da Pessoa Idosa", "f1": "Muito bem! A Caderneta da Saúde da Pessoa Idosa é um instrumento muito importante para o acompanhamento das condições de saúde dessa população, justamente porque permite a avaliação dos idosos segundo a capacidade funcional, por meio do VES-13 e de outros registros."

            , "r2": "A ficha de dados simplificados de cadastro individual do e-SUS", "f2": "Atenção! A ficha de cadastro individual do e-SUS registra dados de identificação, informações sociodemográficas e sobre condições de saúde (autorreferidas). No entanto, não é esse o instrumento que permite avaliação da capacidade funcional."

            , "r3": "A ficha de dados simplificados de cadastro domiciliar do e-SUS.", "f3": "Atenção! A ficha de cadastro domiciliar identifica as características sociossanitárias dos domicílios no território das equipes de Atenção Básica e busca também identificar populações domiciliadas em locais que não podem ser considerados domicílio, por exemplo, situação de rua. No entanto, ela não permite avaliação da capacidade funcional."

            , "correct": "r1"},
        {
            "id": 3

            , "p": "Qual instrumento, usados prioritariamente nas visitas domiciliares, pode auxiliar no mapeamento da população com vistas a priorização de idosos para visitas?<br><br>"

            , "r1": "A ficha de dados simplificados de cadastro individual do e-SUS.", "f1": "Muito bem! Na ficha de dados simplificados de cadastro individual do e-SUS são registrados dados de identificação, informações sociodemográficas e sobre condições de saúde (autorreferidas).  Além disso, a observação do profissional sobre as condições de moradia, de funcionalidade e vulnerabilidades que a pessoa idosa pode estar vivenciando. "

            , "r2": "A ficha de dados simplificados de cadastro domiciliar do e-SUS. ", "f2": "Atenção! A ficha de cadastro domiciliar identifica as características sociossanitárias dos domicílios no território das equipes de Atenção Básica e busca identificar, ainda, populações domiciliadas em locais que não podem ser considerados domicílio, por exemplo, situação de rua. No entanto, ela não auxilia na priorização de idosos nas visitas."

            , "r3": "A ficha de dados simplificados de atendimento individual do e-SUS.", "f3": "Atenção! A ficha de atendimento individual do e-SUS é um instrumento de coleta de dados dos atendimentos realizados em cada turno, por determinado profissional. Possui uma variedade grande de informações e está indicada para consultas, propriamente ditas."

            , "correct": "r1"},
        {
            "id": 4

            , "type": "drag"

            , "p": "4. O projeto terapêutico singular (PTS) é uma ferramenta de organização do cuidado voltada para um indivíduo, família ou coletividade que considera a singularidade e a avaliação de cada caso. Geralmente é dedicado a situações mais complexas. Nesse sentido clique sobre as etapas do PTS (à esquerda) e arraste-as sobre as ações em que consistem.<br>"

            , "left1": "Definição situacional"

            , "left2": "Definição de metas"

            , "left3": "Divisão de responsabilidades"

            , "left4": "Reavaliação"

            , "right1": " Identificação de necessidades, demandas, vulnerabilidades e potencialidades do usuário; além das intervenções já realizadas e seus resultados."

            , "right2": "Delimitação das questões sobre as quais se pretende intervir e elaboração de propostas de curto, médio e longo prazo."

            , "right3": "Definição do(s) profissional(is) de referência que articulará(ão) e cuidará(ão) de todo o processo."

            , "right4": "Revisão de prazos, expectativas, tarefas, objetivos, metas e resultados, além de definição de novas intervenções e direcionamentos."

        },
        {
            "id": 5

            , "type": "drag2"

            , "p": "5. Clique sobre os componentes da rede de atenção à saúde, que podem ser acionadas para atender as demandas de saúde das pessoas idosas (à esquerda), e arraste-os para as suas respectivas descrições (à direita).<br>"

            , "left1": "Atenção domiciliar"

            , "left2": "Unidade Básica de Saúde"

            , "left3": "Núcleos de Apoio à Saúde da Família"

            , "left4": "Academia da Saúde"

            , "left5": "Centro de Atenção Psicossocial"

            , "left6": "Atenção Especializada"

            , "left7": "Serviços de Acolhimento Institucional"

            , "right1": " Constitui uma modalidade de atenção à saúde, substitutiva ou complementar às já existentes, oferecida no domicílio e caracterizada por um conjunto de ações de promoção à saúde, prevenção e tratamento de doenças e reabilitação, com garantia da continuidade do cuidado e integrada às Redes de Atenção à Saúde. "

            , "right2": "São o local prioritário de atuação das equipes de Atenção Básica. Deve ser o contato preferencial dos usuários com o Sistema Único de Saúde, uma vez que é a principal porta de entrada das redes de atenção à saúde. "

            , "right3": "Configuram-se como equipes multiprofissionais que atuam de forma integrada com as equipes de Saúde da Família (eSF), com as equipes de atenção básica para populações específicas (consultórios na rua, equipes ribeirinhas e fluviais) e com o Programa Academia da Saúde. "

            , "right4": "São espaços voltados para práticas corporais e atividades físicas, promoção da alimentação saudável, educação em saúde, mobilização da comunidade, práticas artísticas e culturais, produção do cuidado e de modos de vida saudável, práticas integrativas e complementares, e planejamento e gestão. "

            , "right5": "É constituído por equipe multiprofissional que atua sob a ótica interdisciplinar e realiza atendimento às pessoas com transtornos mentais graves e persistentes e às pessoas com necessidades decorrentes do uso de crack, álcool e outras drogas, em sua área territorial, em regime de tratamento intensivo, semi-intensivo, e não intensivo."

            , "right6": "É composta por um conjunto de pontos de atenção com diferentes densidades tecnológicas para a realização de ações e serviços de urgência, ambulatorial especializado e hospitalar, apoiando e complementando os serviços da atenção básica de forma integral, resolutiva e em tempo oportuno."

            , "right7": "Ligados ao Sistema Único de Assistência Social (SUAS), têm unidades destinadas ao cuidado de idosos, como as Casas-Lar e as Instituições de Longa Permanência para Idosos (ILPI). Os objetivos específicos desses serviços são incentivar o desenvolvimento do protagonismo e de capacidades para a realização de atividades da vida diária, desenvolver condições para a independência e o autocuidado, promover o acesso à renda, e promover a convivência entre os residentes de diversos graus de dependência."

        }
    ];
    var quest3 = [
        {
            "id": 1

            , "p": "A avaliação da atividade do idoso na realização das tarefas de sua vida diária é fundamental para que se possa definir um plano de cuidados para o mesmo. Sobre isso, avalie as alternativas a seguir, e escolha a  correta<br><br>"


            , "r1": "A capacidade funcional do idoso depende apenas de sua capacidade cognitiva, ou seja, a sua capacidade de lembrar fatos, fazer operações como somar e multiplicar, identificar pessoas, reconhecer hora e data do dia.", "f1": "A capacidade de realizar as atividades de vida diária (AVD) depende de uma série de fatores como a cognição, humor, mobilidade e comunicação. Uma pessoa com défict cognitivo poderá ter preservada sua condição física e continuar executando tarefas de sua vida diária."


            , "r2": "Há a possibilidade de avaliar a capacidade funcional do idoso pelo uso da Escala de Katz, que verifica sua independência na realização de atividades como alimentar-se, vestir-se, ir ao banheiro, e banhar-se.", "f2": "A Escala de Katz mede a habilidade da pessoa desempenhar suas Atividades de Vida Diária. No caso da identificação de limitação de desempenho, deve-se investigar as causas e, assim, determinar as intervenções necessárias para reabilitação."


            , "r3": "A avaliação do idoso na realização de atividades de sua vida diária só deve ser realizada quando o mesmo realizar as tarefas sozinho.", "f3": "A capacidade de realização das tarefas cotidianas, geralmente representa um idoso independente. Contudo, os instrumentos de avaliação também tem o papel de verificar se o idoso com alguma dependência apresenta necessidade de ajuda parcial, em maior ou menor grau."


            , "r4": "A avaliação da capacidade funcional do idoso na realização das atividades de vida diária deverá ser em seu domicílio. ", "f4": "A avaliação do idoso no desempenho de suas atividades cotidianas pode ser realizada tanto em seu domicílio, como durante uma consulta na UBS, por exemplo."

            , "correct": "r2"
        },
        {
            "id": 2

            , "p": "A avaliação da capacidade funcional do idoso inclui a verificação da sua autonomia para realizar atividades designadas como atividades instrumentais da vida diária (AIVD). Sobre isso, avalie as alternativas a seguir e escolha a correta.<br><br>"

            , "r1": "Um idoso com polipatologia terá comprometimento para a realização das atividades instrumentais da vida diária.", "f1": " Feedback: Não necessariamente. Um idoso poderá executar atividades instrumentais, como falar ao telefone, e cuidar de suas finanças ainda que apresente múltiplas doenças e/ou agravos."

            , "r2": "A escala de Lawton-Brody avalia a capacidade do idoso para realizar atividades instrumentais da vida diária, como banhar-se e vestir-se. ", "f2": " Feedback: Banhar-se e vestir-se são atividades básicas de vida diária, e podem ser avaliadas pela escala de Katz. A escala de Lawton-Brody mensura a autonomia do idoso em atividades instrumentais de vida diária, que estão relacionadas à participação do idoso em seu entorno social, como a utilização de meios de transporte e o preparo de refeições."

            , "r3": "Tomar remédios regularmente é uma atividade dos idosos que pode ser considerada o indicador essencial de sua independência.", "f3": " Feedback: Manipular medicamentos é considerada uma das atividades instrumentais da vida diária, que indicam a capacidade de um indivíduo em levar uma vida autônoma dentro da comunidade. Contudo, não indica por si só a independência do idoso."

            , "r4": "As Atividades Instrumentais da Vida Diária (AIVD) são as relacionadas à participação do idoso em seu entorno social e indicam a capacidade de um indivíduo em levar uma vida autônoma dentro da comunidade.", "f4": " Feedback: Sim, e são exemplos de AIVD: manipular medicamentos; realizar compras e cuidar das próprias finanças."

            , "correct": "r4"
        },
        {
            "id": 3

            , "p": "A cognição é um conjunto de capacidades mentais que permitem ao indivíduo compreender e resolver os problemas do cotidiano. Sobre a avaliação da cognição da pessoa idosa, avalie as alternativas.<br><br>"

            , "r1": "A apresentação de um declínio cognitivo significa Doença de Alzheimer.", "f1": "Não necessariamente. Há muitas causas que podem comprometer a cognição da pessoa idosa, como a demência vascular e a depressão."

            , "r2": "O Mini Exame do Estado Mental (MEEM) é uma escala capaz de rastrear todas as funções cognitivas. ", "f2": "Sim. Contudo, deve-se lembrar que não pode ser utilizado isoladamente para o diagnóstico das síndromes demenciais. O MEEM permite, simplesmente, a quantificação do declínio cognitivo e sugere quais funções cognitivas estão comprometidas."

            , "r3": "A confusão mental ocorre sempre após um longo período de internação do idoso. ", "f3": "Embora possa ocorrer, a confusão mental não é um agravo que acompanhe sempre uma internação. E, caso ocorra, deve ser investigada."

            , "r4": "A cognição não afeta o desempenho físico do idoso. ", "f4": "A integridade das funções cognitivas está intensamente relacionada ao desempenho físico e social."

            , "correct": "r2"
        },
        {
            "id": 4

            , "p": "Sobre suporte familiar e a avaliação do estresse do cuidador, escolha a alternativa correta.<br><br>"

            , "r1": "A violência domiciliar contra os idosos pode ser decorrente do estresse do cuidador.", "f1": "A sobrecarga dos cuidadores, seja emocional ou física pode ser um fator de risco para a ocorrência de violência contra a pessoa, além de gerar adoecimento do próprio cuidador."

            , "r2": "A avaliação do  suporte social e familiar não precisa fazer parte da avaliação multidimensional do idoso", "f2": "A dimensão sócio familiar é um importante componente da avaliação multidimensional, pois permite conhecer os recursos familiares e sociais disponíveis e que podem ser lançados mão na elaboração do plano de cuidados."

            , "r3": "Morar sozinho sempre será positivo, no caso de pessoas idosas pois representa independência", "f3": "Em alguns casos, de fato pode significar independência, no entanto morar sozinho, em outros casos pode ser um indicador de vulnerabilidade, pois idosos que  moram sozinhos tendem a receber menos cuidados formais em relação aos que  residem com outras pessoas, além disso pode também ser um indicativo de uma diminuição nas interações interpessoais."

            , "correct": "r1"
        }
    ];
    var quest4 = [
        {
            "id": 1,
            "p": "Questão 1 <br><br><small>A avaliação da atividade do idoso na realização das tarefas de sua vida diária é fundamental para que se possa definir um plano de cuidados para o mesmo. Sobre isso, avalie as alternativas a seguir, e escolha a correta.</small><br><br>"

            , "r1": "A capacidade funcional do idoso depende apenas de sua capacidade cognitiva, ou seja, a sua capacidade de lembrar fatos, fazer operações como somar e multiplicar, identificar pessoas, reconhecer hora e data do dia.", "f1": " Feedback: A capacidade de realizar as atividades de vida diária (AVD) depende de uma série de fatores como a cognição, humor, mobilidade e comunicação. Uma pessoa com défict cognitivo poderá ter preservada sua condição física e continuar executando tarefas de sua vida diária."


            , "r2": "Há a possibilidade de avaliar a capacidade funcional do idoso pelo uso da Escala de Katz, que verifica sua independência na realização de atividades como alimentar-se, vestir-se, ir ao banheiro, e banhar-se.", "f2": " Feedback: A Escala de Katz mede a habilidade da pessoa desempenhar suas Atividades de Vida Diária. No caso da identificação de limitação de desempenho, deve-se investigar as causas e, assim, determinar as intervenções necessárias para reabilitação."


            , "r3": "A avaliação do idoso na realização de atividades de sua vida diária só deve ser realizada quando o mesmo realizar as tarefas sozinho.", "f3": " Feedback: A capacidade de realização das tarefas cotidianas, geralmente representa um idoso independente. Contudo, os instrumentos de avaliação também tem o papel de verificar se o idoso com alguma dependência apresenta necessidade de ajuda parcial, em maior ou menor grau."


            , "r4": "A avaliação da capacidade funcional do idoso na realização das atividades de vida diária deverá ser em seu domicílio. ", "f4": " Feedback:  A avaliação do idoso no desempenho de suas atividades cotidianas pode ser realizada tanto em seu domicílio, como durante uma consulta na UBS, por exemplo."


            , "correct": "r2"
        },
        {
            "id": 2, "p": "Questão 2<br><br><span><small>A avaliação da capacidade funcional do idoso inclui a verificação da sua autonomia para realizar atividades designadas como atividades instrumentais da vida diária (AIVD). Sobre isso, avalie as alternativas a seguir e escolha a correta.</span></small><br><br>"


            , "r1": "Um idoso com polipatologia terá comprometimento para a realização das atividades instrumentais da vida diária.", "f1": " Feedback: Não necessariamente. Um idoso poderá executar atividades instrumentais, como falar ao telefone, e cuidar de suas finanças ainda que apresente múltiplas doenças e/ou agravos."


            , "r2": "A escala de Lawton-Brody avalia a capacidade do idoso para realizar atividades instrumentais da vida diária, como banhar-se e vestir-se. ", "f2": " Feedback: Banhar-se e vestir-se são atividades básicas de vida diária, e podem ser avaliadas pela escala de Katz. A escala de Lawton-Brody mensura a autonomia do idoso em atividades instrumentais de vida diária, que estão relacionadas à participação do idoso em seu entorno social, como a utilização de meios de transporte e o preparo de refeições."


            , "r3": "Tomar remédios regularmente é uma atividade dos idosos que pode ser considerada o indicador essencial de sua independência.", "f3": " Feedback: Manipular medicamentos é considerada uma das atividades instrumentais da vida diária, que indicam a capacidade de um indivíduo em levar uma vida autônoma dentro da comunidade. Contudo, não indica por si só a independência do idoso. "

            , "r4": "As Atividades Instrumentais da Vida Diária (AIVD) são as relacionadas à participação do idoso em seu entorno social e indicam a capacidade de um indivíduo em levar uma vida autônoma dentro da comunidade.", "f4": " Feedback:  Sim, e são exemplos de AIVD: manipular medicamentos; realizar compras e cuidar das próprias finanças."


            , "correct": "r4"
        },
        {
            "id": 3,
            "p": "Questão 3<br><br> <span><small>A cognição é um conjunto de capacidades mentais que permitem ao indivíduo compreender e resolver os problemas do cotidiano. Sobre a avaliação da cognição da pessoa idosa, avalie as alternativas.</small><br><br>"

            , "r1": "A apresentação de um declínio cognitivo significa Doença de Alzheimer.", "f1": " Feedback: Não necessariamente. Há muitas causas que podem comprometer a cognição da pessoa idosa, como a demência vascular e a depressão. "

            , "r2": "O Mini Exame do Estado Mental (MEEM) é uma escala capaz de rastrear todas as funções cognitivas.", "f2": " Feedback: Sim. Contudo, deve-se lembrar que não pode ser utilizado isoladamente para o diagnóstico das síndromes demenciais. O MEEM permite, simplesmente, a quantificação do declínio cognitivo e sugere quais funções cognitivas estão comprometidas."

            , "r3": "A confusão mental ocorre sempre após um longo período de internação do idoso.", "f3": " Feedback: Embora possa ocorrer, a confusão mental não é um agravo que acompanhe sempre uma internação. E, caso ocorra, deve ser investigada."

            , "r4": "A cognição não afeta o desempenho físico do idoso. ", "f4": " Feedback: A integridade das funções cognitivas está intensamente relacionada ao desempenho físico e social."

            , "correct": "r2"
        },
        {
            "id": 4,
            "p": "Questão 4<br><br><small><span>Sobre suporte familiar e a avaliação do estresse do cuidador, escolha a alternativa correta.</small></span><br><br>"

            , "r1": "A violência domiciliar contra os idosos pode ser decorrente do estresse do cuidador.", "f1": " Feedback: A sobrecarga dos cuidadores, seja emocional ou física pode ser um fator de risco para a ocorrência de violência contra a pessoa, além de gerar adoecimento do próprio cuidador."

            , "r2": "A avaliação do  suporte social e familiar não precisa fazer parte da avaliação multidimensional do idoso", "f2": " Feedback: A dimensão sócio familiar é um importante componente da avaliação multidimensional, pois permite conhecer os recursos familiares e sociais disponíveis e que podem ser lançados mão na elaboração do plano de cuidados."

            , "r3": "Morar sozinho sempre será positivo, no caso de pessoas idosas pois representa independência", "f3": " Feedback: Em alguns casos, de fato pode significar independência, no entanto morar sozinho, em outros casos pode ser um indicador de vulnerabilidade, pois idosos que  moram sozinhos tendem a receber menos cuidados formais em relação aos que  residem com outras pessoas, além disso pode também ser um indicativo de uma diminuição nas interações interpessoais."

            , "correct": "r1"
        },
        {
            "id": 5,
            "p": "Questão 4<br><br><small><span>Sobre suporte familiar e a avaliação do estresse do cuidador, escolha a alternativa correta.</small></span><br><br>"

            , "r1": "A violência domiciliar contra os idosos pode ser decorrente do estresse do cuidador.", "f1": " Feedback: A sobrecarga dos cuidadores, seja emocional ou física pode ser um fator de risco para a ocorrência de violência contra a pessoa, além de gerar adoecimento do próprio cuidador."

            , "r2": "A avaliação do  suporte social e familiar não precisa fazer parte da avaliação multidimensional do idoso", "f2": " Feedback: A dimensão sócio familiar é um importante componente da avaliação multidimensional, pois permite conhecer os recursos familiares e sociais disponíveis e que podem ser lançados mão na elaboração do plano de cuidados."

            , "r3": "Morar sozinho sempre será positivo, no caso de pessoas idosas pois representa independência", "f3": " Feedback: Em alguns casos, de fato pode significar independência, no entanto morar sozinho, em outros casos pode ser um indicador de vulnerabilidade, pois idosos que  moram sozinhos tendem a receber menos cuidados formais em relação aos que  residem com outras pessoas, além disso pode também ser um indicativo de uma diminuição nas interações interpessoais."

            , "correct": "r1"
        },
        {
            "id": 6

            , "p": "Questão 4<br><br><small><span>Sobre suporte familiar e a avaliação do estresse do cuidador, escolha a alternativa correta.</small></span><br><br>"

            , "r1": "A violência domiciliar contra os idosos pode ser decorrente do estresse do cuidador.", "f1": " Feedback: A sobrecarga dos cuidadores, seja emocional ou física pode ser um fator de risco para a ocorrência de violência contra a pessoa, além de gerar adoecimento do próprio cuidador."

            , "r2": "A avaliação do  suporte social e familiar não precisa fazer parte da avaliação multidimensional do idoso", "f2": " Feedback: A dimensão sócio familiar é um importante componente da avaliação multidimensional, pois permite conhecer os recursos familiares e sociais disponíveis e que podem ser lançados mão na elaboração do plano de cuidados."

            , "r3": "Morar sozinho sempre será positivo, no caso de pessoas idosas pois representa independência", "f3": " Feedback: Em alguns casos, de fato pode significar independência, no entanto morar sozinho, em outros casos pode ser um indicador de vulnerabilidade, pois idosos que  moram sozinhos tendem a receber menos cuidados formais em relação aos que  residem com outras pessoas, além disso pode também ser um indicativo de uma diminuição nas interações interpessoais."

            , "correct": "r1"
        },
        {
            "id": 7

            , "type": "multiple_drag"

            , "p": "Questão 4<br><br><small><span>Sobre suporte familiar e a avaliação do estresse do cuidador, escolha a alternativa correta.</small></span><br><br>"

            , "left1": "Diagnosticar e tratar osteoporose"

            , "left2": "Correção da acuidade visual"

            , "left3": "Reduzir/suspender o diurético da noite"

            , "left4": "Restringir as atividades"

            , "left5": "Bom controle do diabetes"

            , "left6": "Treino de marcha e equilíbrio com fisioterapeuta"

            , "left7": "Iluminar o corredor à noite."

            , "left8": "Amarrar a paciente no leito à noite"

            , "left9": "Bom controle da insuficiência cardíaca"

            , "right1": "Reduz o risco de fraturas no curtíssimo prazo (1-2 dias)"

            , "right2": "Reduz o risco de fraturas no curto prazo (1-2 semanas)"

            , "right3": "Reduz o risco de fraturas no médio prazo (>1 mês)"

            , "right4": "Reduz o risco de fraturas no longo prazo (> 6 meses)"

            , "right5": "Aumenta o risco de fraturas"
        }
    ];
    var questCASO1 = [
        {"id": 1, "p": "Apresentação do caso <br><br><small style='color: black'>Uma paciente de 85 anos foi levada pela filha à Unidade Básica de Saúde com quadro de dispneia leve iniciada hoje no início da manhã.<br><br> A paciente não tem queixas, mas está um pouco confusa, e as informações foram prestadas pela filha. Segundo esta, sua mãe estava inquieta à noite, embora tenha passado bem todo o dia anterior. Ela sempre realizou as atividades da casa sozinha e nunca apresentou confusão mental. Não há relato de tosse, expectoração, sibilância ou febre.<br><br> Na véspera a idosa ficou sabendo que seu único neto está envolvido com drogas. <br><br>A paciente é hipertensa e diabética, mas bem controlada. Não é tabagista, mas é bastante sedentária e obesa (IMC=32). Já foi internada no ano passado com pneumonia e já realizou colecistectomia.<br><br> Ao exame físico foram observados confusão mental, incapacidade de manter a atenção no diálogo com o médico, palidez mucosa discreta, dispneia leve, taquipneia (FR=28 ipm), crepitações tele-inspiratórias nas bases pulmonares, taquicardia (FC=102 bpm), ritmo cardíaco irregular, presença de B3, acentuação da cifose torácica, osteoartrose das mãos e varizes de membros inferiores (MMII).<br><br> O médico tranquilizou a filha informando que o quadro de ansiedade reativa a fatores estressantes (saber que neto está envolvido com drogas) pode cursar com dispneia, taquicardia e confusão mental.<br><br> Escolha o final mais adequado para o caso clínico.</small><br><br>"


            , "r1": "O médico recomendou repouso e chás caseiros, para evitar benzodiazepínicos.", "f1": " Feedback: Benzodiazepínicos são realmente contraindicados em idosos. A utilização de chás caseiros só deverá ser aventada para episódios de ansiedade de curta duração, em virtude da ausência de benefícios comprovados. No entanto, o diagnóstico firmado pelo médico (de que o quadro clínico se deve a ansiedade) está incorreto.<br><br>Comentários: Este caso demonstra que doenças que geralmente cursam com sintomas típicos em adultos (fibrilação atrial, infarto agudo do miocárdio) podem evoluir sem estes sintomas em idosos, ou com sintomas “geriátricos”. O caso mostra também que a presença de múltiplas doenças e questões sociais e familiares pode dificultar o raciocínio, atrasar o diagnóstico e piorar o prognóstico. Evidencia ainda a importância de considerar fatores epidemiológicos e a história pregressa do paciente na avaliação dos possíveis diagnósticos diferenciais. Reforça ainda que o quadro de confusão mental aguda deve ser considerado uma urgência médica, até que a causa seja esclarecida."


            , "r2": "O médico prescreveu uma dose baixa de benzodiazepínico (evitou os de ação longa, como clonazepam e bromazepam) para utilização por no máximo três dias, com vigilância constante da família para evitar quedas.", "f2": " Feedback: Nas raras situações em que benzodiazepínicos podem ser prescritos para idosos, a escolha deve recair sobre os de ação intermediária, e o cuidado para evitar quedas deve ser redobrado. No entanto, o diagnóstico firmado pelo médico (de que o quadro clínico se deve a ansiedade) está incorreto.<br><br>Comentários: Este caso demonstra que doenças que geralmente cursam com sintomas típicos em adultos (fibrilação atrial, infarto agudo do miocárdio) podem evoluir sem estes sintomas em idosos, ou com sintomas “geriátricos”. O caso mostra também que a presença de múltiplas doenças e questões sociais e familiares pode dificultar o raciocínio, atrasar o diagnóstico e piorar o prognóstico. Evidencia ainda a importância de considerar fatores epidemiológicos e a história pregressa do paciente na avaliação dos possíveis diagnósticos diferenciais. Reforça ainda que o quadro de confusão mental aguda deve ser considerado uma urgência médica, até que a causa seja esclarecida."


            , "r3": "O médico prescreveu um antidepressivo com ação ansiolítica e sem interação medicamentosa com os medicamentos em uso (citalopram), em dose adequada para idosos, e orientou a filha que o efeito não se iniciaria antes de duas semanas. Neste período ela deveria tentar oferecer para a mãe atividades de lazer e distração.", "f3": " Feedback: Quando é necessário tratar com medicamentos no médio e longo prazo um idoso com ansiedade, a escolha realmente deve recair sobre os inibidores seletivos da recaptação da serotonina. O citalopram é uma boa opção, pela baixa frequência de efeitos adversos e interações medicamentosas, posologia cômoda e preço acessível. No entanto, o diagnóstico firmado pelo médico (de que o quadro clínico se deve a ansiedade) está incorreto.<br><br>Comentários: Este caso demonstra que doenças que geralmente cursam com sintomas típicos em adultos (fibrilação atrial, infarto agudo do miocárdio) podem evoluir sem estes sintomas em idosos, ou com sintomas “geriátricos”. O caso mostra também que a presença de múltiplas doenças e questões sociais e familiares pode dificultar o raciocínio, atrasar o diagnóstico e piorar o prognóstico. Evidencia ainda a importância de considerar fatores epidemiológicos e a história pregressa do paciente na avaliação dos possíveis diagnósticos diferenciais. Reforça ainda que o quadro de confusão mental aguda deve ser considerado uma urgência médica, até que a causa seja esclarecida."


            , "r4": "O médico terminou seu horário na UBS e passou o caso a outro médico. O colega decidiu encaminhar a idosa imediatamente a um serviço de urgência.", "f4": " Feedback:  O início recente de confusão mental e a incapacidade de sustentar a atenção sugerem o diagnóstico de delirium (= confusão mental aguda). O delirium pode ser provocado por inúmeras condições, desde as mais simples, como constipação intestinal, até as mais graves, como sepses.<br><br>Apesar da confusão mental, a idosa não apresenta quadro de ansiedade, não se justificando a presença de taquicardia e taquipneia. As alterações da ausculta levantam a possibilidade de uma causa cardíaca para o quadro, hipótese reforçada pelos fatores de risco cardiovascular da paciente (idade, hipertensão, diabetes, obesidade). A conduta do 2º médico foi correta, pois é necessário descartar com urgência a fibrilação atrial ou síndrome coronariana.<br><br>Comentários: Este caso demonstra que doenças que geralmente cursam com sintomas típicos em adultos (fibrilação atrial, infarto agudo do miocárdio) podem evoluir sem estes sintomas em idosos, ou com sintomas “geriátricos”. O caso mostra também que a presença de múltiplas doenças e questões sociais e familiares pode dificultar o raciocínio, atrasar o diagnóstico e piorar o prognóstico. Evidencia ainda a importância de considerar fatores epidemiológicos e a história pregressa do paciente na avaliação dos possíveis diagnósticos diferenciais. Reforça ainda que o quadro de confusão mental aguda deve ser considerado uma urgência médica, até que a causa seja esclarecida."


            , "correct": "r4"}];
    var questCASO2 = [
        {"id": 1, "p": "Apresentação do caso <br><br><small style='color: black'>Uma paciente de 82 anos foi visitada em seu domicílio por um profissional da equipe de saúde da família. Tratava-se de uma visita de rotina para verificar o controle da hipertensão arterial.<br><br>O profissional confirmou que a paciente utilizava regularmente os medicamentos prescritos (furosemida, pela manhã, e enalapril, duas vezes por dia) e que a pressão arterial era 120/80 mmHg.<br><br>Exceto pelas varizes de membros inferiores e “dor de artrose na coluna”, a idosa não tinha queixas.<br><br>Ela cuidava sozinha da sua casa, onde nasceram seus 8 filhos! No fim da visita, ela ainda serviu ao profissional um delicioso cafezinho, que fez na hora no fogão à lenha. Era ali que ela preparava diariamente, sozinha, seu “arroz com feijão e um pedacinho de carne”.<br><br>O profissional voltou à UBS encantado com aquela idosa “baixinha e independente” e estava contente por perceber que, mesmo aos 80 anos e sem muitos recursos financeiros, ainda é possível ter uma vida relativamente saudável e de boa qualidade.<br><br>No mês seguinte, a visita foi realizada por outro profissional que, recentemente, havia terminado um treinamento em gestão da saúde do idoso.<br><br>Para a visita, ele utilizou um checklist que havia elaborado durante o curso e que conferia alguns problemas comuns em idosos.<br><br>No seu relato à equipe, ao retornar à UBS, ele listou os seguintes problemas: possível iatrogenia medicamentosa, incontinência urinária por múltiplas causas, provável osteoporose, hipotensão postural com risco de quedas e fraturas, doença pulmonar obstrutiva crônica, dispneia aos médios esforços provocando limitação importante para realizar atividades instrumentais da vida diária.<br><br>O que teria acontecido entre as duas visitas, para a situação mudar tanto?</small><br><br>"


            , "r1": "O 2º profissional deve ter feito uma confusão e entregou por engano o relatório de outra visita domiciliar.", "f1": " Feedback: Não há elementos para pensar nesta hipótese.<br><br>Comentário do caso: Este caso demonstra que a falta de qualificação e formação em temas referentes à saúde dos idosos dificulta a elaboração de um diagnóstico amplo e acurado sobre a saúde do idoso. O caso reforça o conceito do fenômeno do iceberg: a incontinência urinária, hipotensão ortostática e doença pulmonar não haviam sido identificadas pela equipe. Ele exemplifica a iatrogenia medicamentosa (furosemida para tratar edema por insuficiência venosa), e como esta pode desencadear um dos gigantes da geriatria (incontinência urinária). Durante a idade adulta, assistência médica adequada para os partos e hábitos de vida saudáveis (dieta rica em cálcio e atividade física regular)  poderiam ter evitado os problemas atuais: o relaxamento da musculatura do assoalho pélvico, que agravou a incontinência urinária, e a osteoporose."


            , "r2": "O treinamento do 2º profissional não foi adequado. Ele recebeu um checklist sem o devido treinamento e acabou identificando muito mais problemas do que realmente existiam.", "f2": " Feedback: Não há elementos para pensar nesta hipótese.<br><br>Comentário do caso: Este caso demonstra que a falta de qualificação e formação em temas referentes à saúde dos idosos dificulta a elaboração de um diagnóstico amplo e acurado sobre a saúde do idoso. O caso reforça o conceito do fenômeno do iceberg: a incontinência urinária, hipotensão ortostática e doença pulmonar não haviam sido identificadas pela equipe. Ele exemplifica a iatrogenia medicamentosa (furosemida para tratar edema por insuficiência venosa), e como esta pode desencadear um dos gigantes da geriatria (incontinência urinária). Durante a idade adulta, assistência médica adequada para os partos e hábitos de vida saudáveis (dieta rica em cálcio e atividade física regular)  poderiam ter evitado os problemas atuais: o relaxamento da musculatura do assoalho pélvico, que agravou a incontinência urinária, e a osteoporose."


            , "r3": "Neste intervalo de 30 dias ocorreram problemas de saúde que desencadearam todas as modificações observadas pelo 2º profissional.", "f3": " Feedback: Não há elementos para pensar nesta hipótese.<br><br>Comentário do caso: Este caso demonstra que a falta de qualificação e formação em temas referentes à saúde dos idosos dificulta a elaboração de um diagnóstico amplo e acurado sobre a saúde do idoso. O caso reforça o conceito do fenômeno do iceberg: a incontinência urinária, hipotensão ortostática e doença pulmonar não haviam sido identificadas pela equipe. Ele exemplifica a iatrogenia medicamentosa (furosemida para tratar edema por insuficiência venosa), e como esta pode desencadear um dos gigantes da geriatria (incontinência urinária). Durante a idade adulta, assistência médica adequada para os partos e hábitos de vida saudáveis (dieta rica em cálcio e atividade física regular)  poderiam ter evitado os problemas atuais: o relaxamento da musculatura do assoalho pélvico, que agravou a incontinência urinária, e a osteoporose."


            , "r4": "O treinamento permitiu ao 2º profissional identificar problemas que estavam ocultos, não identificados previamente pela equipe.", "f4": " Feedback:  Esta é a hipótese mais provável.<br><br>O fogão de lenha dentro do domicílio é uma causa muito comum de doença pulmonar obstrutiva crônica. A dispneia provocada pela doença frequentemente é considerada normal da idade pelo paciente e por seus familiares; ao restringir espontaneamente atividades que demandam maior esforço (como fazer uma compra fora de casa), o idoso aparentemente não apresentará limitações para realizar atividades.<br><br>A doença pulmonar, sedentarismo, sexo feminino e idade, bem como dieta pobre em cálcio e provável deficiência de vitamina D contribuem para osteoporose. Esta frequentemente provoca fraturas por compressão de vértebras torácicas, causando dor crônica e perda de altura.<br><br>A insuficiência venosa resultante de sedentarismo e de longos períodos de ortostatismo pode provocar edema de membros inferiores. A utilização de um diurético de alça (furosemida) é contraindicada nestes casos, mesmo se o paciente for hipertenso. Além do fraco efeito anti-hipertensivo em pacientes sem sobrecarga de volume (por exemplo, aqueles com insuficiência renal), estes medicamentos produzem uma diurese intensa, de curta duração, mas que pode provocar incontinência urinária em idosos. O relaxamento do assoalho pélvico decorrente da multiparidade agrava a incapacidade de reter a urina até o momento oportuno para a micção. A incontinência urinária muitas vezes não é relatada pelas idosas, que a consideram algo normal da idade.<br><br>A avaliação da pressão arterial de idosos em tratamento de hipertensão sempre deve incluir aferições com o paciente em repouso (se possível em decúbito) e depois de pé. O 2º profissional verificou que, embora a PA realmente fosse 122/78 mmHg na posição assentada, ela caia para 95/70 mmHg quando a idosa se levantava, e 104/70 quando permanecia 3 minutos em ortostatismo. A hipotensão ortostática é uma causa comum de lipotímia ou síncope, que podem provocar quedas e fratura.<br><br>Comentário do caso: Este caso demonstra que a falta de qualificação e formação em temas referentes à saúde dos idosos dificulta a elaboração de um diagnóstico amplo e acurado sobre a saúde do idoso. O caso reforça o conceito do fenômeno do iceberg: a incontinência urinária, hipotensão ortostática e doença pulmonar não haviam sido identificadas pela equipe. Ele exemplifica a iatrogenia medicamentosa (furosemida para tratar edema por insuficiência venosa), e como esta pode desencadear um dos gigantes da geriatria (incontinência urinária). Durante a idade adulta, assistência médica adequada para os partos e hábitos de vida saudáveis (dieta rica em cálcio e atividade física regular)  poderiam ter evitado os problemas atuais: o relaxamento da musculatura do assoalho pélvico, que agravou a incontinência urinária, e a osteoporose."


            , "correct": "r4"}];
    var questCASO3 = [
        {"id": 1, "p": "Apresentação do caso <br><br><small style='color: black'>Durante uma consulta para controle de hipertensão, um idoso de 65 anos, com 8 anos de escolaridade, queixou-se que estava muito esquecido.<br><br>Segundo seu relato, ele tinha dificuldade para guardar o nome de pessoas recém conhecidas, o número de telefone de familiares e as datas de alguns compromissos; frequentemente perdia os óculos, não se lembrava de tomar seus medicamentos e muitas vezes, ao entrar na cozinha, esquecia o que tinha ido fazer lá.<br><br>O médico aplicou o <a style=text-decoration:underline;color:#7DC2CA; target=_blank href=lib/videos/u3-aplicacao-exame-estado-mental_720p.mp4>Mini-exame do Estado Mental (MEEM)</a> e obteve um resultado muito baixo.<br><br>Então comunicou ao paciente que se tratava de um quadro de demência e que ele deveria ser avaliado por um neurologista para iniciar o tratamento.<br><br>Por enquanto, deveria apenas manter a prescrição atual (anlodipino 10 mg de manhã para hipertensão arterial e clonazepam 2 mg à noite para insônia).<br><br>Na mesma consulta, o paciente comunicou ao médico que havia conseguido agendar as consultas com o urologista para o tratamento da nictúria (seria em 4 meses), com o cardiologista  para avaliar o edema de membros inferiores (seria em 6 meses) e com o otorrinolaringologista (ORL) para avaliar a hipoacusia (seria em 8 meses).<br><br>Com relação ao caso descrito, assinale a afirmativa CORRETA:</small><br><br>"


            , "r1": "O Mini-Mental tão baixo em paciente com esquecimento e boa escolaridade indica demência; o encaminhamento para o neurologista foi uma conduta correta.", "f1": " Feedback: O diagnóstico de demência requer a identificação de déficit de memória prejudicando as atividades cotidianas e representando declínio com relação à capacidade prévia. É necessária a presença de outros déficits cognitivos (por exemplo, da linguagem, orientação temporal e espacial, ou da capacidade de abstração, julgamento e planejamento). É preciso também descartar a possibilidade de que esses déficits estejam sendo provocados por outras doenças ou condições.<br><br>Este paciente se lembrou muito bem de exemplos do seu esquecimento e informou bem as datas das consultas que terá com especialistas, o que não é comum em pacientes com demência. Não há relato de outros déficits cognitivos (o que seria necessário para formar o diagnóstico de demência), e o uso de clonazepam pode prejudicar o funcionamento da memória. O MEEM é apenas um teste de rastreamento; um escore baixo indica a possibilidade de demência, e não o diagnóstico. A hipoacusia pode ter contribuído para a redução do escore.<br><br>Comentário do caso: Este caso clínico chama atenção para o encaminhamento de idosos aos especialistas (neurologista, urologista, cardiologista e ORL) para resolver problemas que poderiam ser diagnosticados e tratados pelo clínico. Ele discute ainda a abordagem de um paciente com déficit cognitivo (um dos gigantes da geriatria) e os limites dos métodos de rastreamento (o MEEM). Há ainda um exemplo de iatrogenia medicamentosa e efeito cascata (anlodipino provocando edema de membros inferiores, que provoca nictúria, que provoca insônia, que levou ao uso de medicamento inadequado que piorou a cognição e findou em diagnóstico e encaminhamento inadequados). O diagnóstico incorreto de demência trará preocupação desnecessária ao paciente e sua família."


            , "r2": "A causa mais comum de nictúria em idosos é a hiperplasia benigna da próstata; o encaminhamento para o urologista foi uma conduta correta.", "f2": " Feedback: Existem diversas causas de nictúria que podem ser resolvidas sem a necessidade do especialista. O paciente está utilizando anlodipino, que pode provocar edema de membros inferiores; a reabsorção noturna do edema provoca nictúria. Se o paciente se levantar várias vezes para urinar à noite, seu sono será prejudicado. O tratamento da insônia deveria ser feito pela remoção da causa da nictúria e não com a prescrição de clonazepam, pois benzodiazepínicos são expressamente contraindicados para idosos. Mesmo se a causa da nictúria fosse a hiperplasia benigna da próstata, o diagnóstico e tratamento estão ao alcance do clínico. <br><br>Comentário do caso: Este caso clínico chama atenção para o encaminhamento de idosos aos especialistas (neurologista, urologista, cardiologista e ORL) para resolver problemas que poderiam ser diagnosticados e tratados pelo clínico. Ele discute ainda a abordagem de um paciente com déficit cognitivo (um dos gigantes da geriatria) e os limites dos métodos de rastreamento (o MEEM). Há ainda um exemplo de iatrogenia medicamentosa e efeito cascata (anlodipino provocando edema de membros inferiores, que provoca nictúria, que provoca insônia, que levou ao uso de medicamento inadequado que piorou a cognição e findou em diagnóstico e encaminhamento inadequados). O diagnóstico incorreto de demência trará preocupação desnecessária ao paciente e sua família."


            , "r3": "Uma causa importante de edema de membros inferiores em homens idosos é a insuficiência cardíaca diastólica, de identificação mais difícil; o encaminhamento para o cardiologista foi uma conduta correta.", "f3": " Feedback: O edema ser provocado pelo anlodipino. Se houvesse insuficiência cardíaca diastólica (com fração de ejeção preservada), ela poderia ser identificada através dos mesmos sinais e sintomas da insuficiência cardíaca sistólica (com baixa fração de ejeção). O diagnóstico e o tratamento de ambas estão ao alcance do clínico.<br><br>Comentário do caso: Este caso clínico chama atenção para o encaminhamento de idosos aos especialistas (neurologista, urologista, cardiologista e ORL) para resolver problemas que poderiam ser diagnosticados e tratados pelo clínico. Ele discute ainda a abordagem de um paciente com déficit cognitivo (um dos gigantes da geriatria) e os limites dos métodos de rastreamento (o MEEM). Há ainda um exemplo de iatrogenia medicamentosa e efeito cascata (anlodipino provocando edema de membros inferiores, que provoca nictúria, que provoca insônia, que levou ao uso de medicamento inadequado que piorou a cognição e findou em diagnóstico e encaminhamento inadequados). O diagnóstico incorreto de demência trará preocupação desnecessária ao paciente e sua família."


            , "r4": "Uma causa comum de hipoacusia em idosos é a presbiacusia, cujo tratamento envolve a prescrição de prótese auditiva por um Otorrinolaringologista.", "f4": " Feedback:  A afirmativa está correta; entretanto, antes de encaminhar o paciente ao ORL é imprescindível realizar uma otoscopia para descartar a possibilidade de a hipoacusia estar sendo provocada por rolhas de cerume, muito frequentes em idosos.<br><br>Comentário do caso: Este caso clínico chama atenção para o encaminhamento de idosos aos especialistas (neurologista, urologista, cardiologista e ORL) para resolver problemas que poderiam ser diagnosticados e tratados pelo clínico. Ele discute ainda a abordagem de um paciente com déficit cognitivo (um dos gigantes da geriatria) e os limites dos métodos de rastreamento (o MEEM). Há ainda um exemplo de iatrogenia medicamentosa e efeito cascata (anlodipino provocando edema de membros inferiores, que provoca nictúria, que provoca insônia, que levou ao uso de medicamento inadequado que piorou a cognição e findou em diagnóstico e encaminhamento inadequados). O diagnóstico incorreto de demência trará preocupação desnecessária ao paciente e sua família."


            , "correct": "r4"}];
    var questCASO4 = [
        {"id": 1, "p": "Apresentação do caso <br><br><small style='color: black'>Um idoso com doença de Alzheimer na fase moderada recebeu a visita de uma equipe de saúde.<br><br>Segundo a filha, ele passava a maior parte do dia deitado e sonolento. Durante a noite perambulava agitado pela casa, tendo caído três vezes na cozinha.<br><br>Na última queda, sofreu torção no joelho, o que provocava dor e dificultava a deambulação.<br><br>Usava dose baixa de neuroléptico (risperidona), que não era suficiente para controlar a agitação noturna.<br><br>Outro problema relatado pela filha é que o pai sofria de constipação intestinal. A prótese dentária também estava frouxa, prejudicava a mastigação e, portanto, o consumo de fibras.<br><br>Mas nas últimas semanas o paciente apresentava diarreia. Eliminava quase continuamente secreção mucosa misturada às fezes liquidas.<br><br>A loperamida prescrita pelo médico não interrompera a diarreia. Na consulta, ao palpar uma massa endurecida na fossa ilíaca direita, ele suspeitou de uma neoplasia e encaminhou o idoso ao gastroenterologista, mas ele teria que esperar 4 meses por uma vaga.<br><br>Na última semana, o pai passou a apresentar incontinência urinária.<br><br>Com relação ao caso descrito, assinale a afirmativa CORRETA:</small><br><br>"


            , "r1": "A utilização de um neuroléptico atípico como a risperidona, desde que em baixas doses, é a conduta de escolha para o tratamento de quadros de agitação de pacientes com doença de Alzheimer moderada. Como não houve resposta adequada, o paciente deveria ser avaliado por um psiquiatra ou geriatra.", "f1": " Feedback: Embora a utilização de benzodiazepínicos seja expressamente contraindicada nestas situações, neurolépticos só deveriam ser utilizados se a causa da agitação não puder ser identificada ou removida. Não é o caso deste paciente. A risperidona não só não está resolvendo a agitação noturna, como pode estar provocando sedação diurna e pode ter contribuído para as quedas.<br><br>Comentário do caso: O caso demonstra que alguns problemas neuropsiquiátricos de pacientes com demência são provocados por problemas clínicos. É um bom exemplo do efeito cascata: a prótese dentária mal ajustada levou à dieta pobre em fibras, o que contribuiu para o agravamento da constipação e surgimento do fecaloma. O caso lembra ainda que doenças em um sistema fisiológico (fecaloma/sistema digestivo) podem se manifestar em outro sistema com reserva já comprometida (agitação/cérebro). O medicamento utilizado para tratar a agitação (risperidona) contribuiu para as quedas. A diarreia paradoxal - complicação da constipação em idosos acamados - não foi identificada, o que levou à prescrição de antiperistáltico para o paciente com fecaloma (que na maioria das vezes pode ser identificado através de um toque retal). Sem intervenção adequada, o quadro tende a se agravar (mais quedas; risco de fratura; maior período acamado; síndrome de imobilidade).<br><br>A presença de múltiplos determinantes de doenças é um dos motivos pelos quais as condutas mais efetivas são as que envolvem o diagnóstico e abordagem multidisciplinar da equipe. Algumas demandas muito comuns de idosos frágeis são, por exemplo, a necessidade de fonoterapia para distúrbios da deglutição, fisioterapia para treino de marcha e os cuidados de enfermagem para tratamento de úlceras de pressão.<br><br>O paciente deste caso clínico, por exemplo, só deverá recuperar a sua capacidade funcional se receber a assistência de uma equipe."


            , "r2": "Com relação à queda sofrida pelo idoso, a conduta mais importante agora é garantir que a torção do joelho não provoque limitações da mobilidade. Uma opção razoável é prescrever compressas de calor e dose adequada de analgésicos como o paracetamol (evitando o uso de anti-inflamatórios).", "f2": " Feedback: O tratamento adequado da dor é imprescindível para manter a qualidade de vida e reduzir o risco de declínio funcional em idosos que sofreram quedas, e o paracetamol é uma opção segura e eficaz. Entretanto, a conduta mais importante é identificar a causa da queda para evitar novos episódios. <br><br>Comentário do caso: O caso demonstra que alguns problemas neuropsiquiátricos de pacientes com demência são provocados por problemas clínicos. É um bom exemplo do efeito cascata: a prótese dentária mal ajustada levou à dieta pobre em fibras, o que contribuiu para o agravamento da constipação e surgimento do fecaloma. O caso lembra ainda que doenças em um sistema fisiológico (fecaloma/sistema digestivo) podem se manifestar em outro sistema com reserva já comprometida (agitação/cérebro). O medicamento utilizado para tratar a agitação (risperidona) contribuiu para as quedas. A diarreia paradoxal - complicação da constipação em idosos acamados - não foi identificada, o que levou à prescrição de antiperistáltico para o paciente com fecaloma (que na maioria das vezes pode ser identificado através de um toque retal). Sem intervenção adequada, o quadro tende a se agravar (mais quedas; risco de fratura; maior período acamado; síndrome de imobilidade).<br><br>A presença de múltiplos determinantes de doenças é um dos motivos pelos quais as condutas mais efetivas são as que envolvem o diagnóstico e abordagem multidisciplinar da equipe. Algumas demandas muito comuns de idosos frágeis são, por exemplo, a necessidade de fonoterapia para distúrbios da deglutição, fisioterapia para treino de marcha e os cuidados de enfermagem para tratamento de úlceras de pressão.<br><br>O paciente deste caso clínico, por exemplo, só deverá recuperar a sua capacidade funcional se receber a assistência de uma equipe."


            , "r3": "Não havendo evidências de que a diarreia seja osmótica ou tenha origem infecciosa, a utilização de um antidiarreico está bem indicada, mas a dose deve ser ajustada para suprimir completamente a evacuação de fezes líquidas. Como não houve resposta adequada, e com a suspeita de neoplasia, o encaminhamento para o gastroenterologista foi correto.", "f3": " Feedback: Antidiarreico loperamida é uma opção adequada para o tratamento de diarreia crônica sem causa evidente em idosos, desde que não haja sinais inflamatórios ou de infecção. Entretanto, este paciente apresenta diarreia paradoxal (falsa diarreia). A constipação intestinal crônica – agravada pelos longos períodos em que o paciente passava deitado - levou ao desenvolvimento de um fecaloma que forma muco ao seu redor. O muco eliminado continuamente, com resquícios de fezes, foi erroneamente interpretado como diarreia.<br><br>Comentário do caso: O caso demonstra que alguns problemas neuropsiquiátricos de pacientes com demência são provocados por problemas clínicos. É um bom exemplo do efeito cascata: a prótese dentária mal ajustada levou à dieta pobre em fibras, o que contribuiu para o agravamento da constipação e surgimento do fecaloma. O caso lembra ainda que doenças em um sistema fisiológico (fecaloma/sistema digestivo) podem se manifestar em outro sistema com reserva já comprometida (agitação/cérebro). O medicamento utilizado para tratar a agitação (risperidona) contribuiu para as quedas. A diarreia paradoxal - complicação da constipação em idosos acamados - não foi identificada, o que levou à prescrição de antiperistáltico para o paciente com fecaloma (que na maioria das vezes pode ser identificado através de um toque retal). Sem intervenção adequada, o quadro tende a se agravar (mais quedas; risco de fratura; maior período acamado; síndrome de imobilidade).<br><br>A presença de múltiplos determinantes de doenças é um dos motivos pelos quais as condutas mais efetivas são as que envolvem o diagnóstico e abordagem multidisciplinar da equipe. Algumas demandas muito comuns de idosos frágeis são, por exemplo, a necessidade de fonoterapia para distúrbios da deglutição, fisioterapia para treino de marcha e os cuidados de enfermagem para tratamento de úlceras de pressão.<br><br>O paciente deste caso clínico, por exemplo, só deverá recuperar a sua capacidade funcional se receber a assistência de uma equipe."


            , "r4": "A conduta mais importante no momento é examinar o paciente para chegar a algum diagnóstico, suspender os medicamentos, e fornecer orientações à filha. Neste momento o tratamento não-farmacológico será suficiente para este paciente.", "f4": " Feedback:  A diarreia paradoxal vai remitir após a eliminação do fecaloma. Dessa forma, a agitação noturna do paciente vai diminuir. Com medidas de higiene do sono, ele deverá restaurar o ciclo sono-vigília. A incontinência urinária deverá reverter após a remoção do fecaloma e correção dos horários do sono.<br><br>Comentário do caso: O caso demonstra que alguns problemas neuropsiquiátricos de pacientes com demência são provocados por problemas clínicos. É um bom exemplo do efeito cascata: a prótese dentária mal ajustada levou à dieta pobre em fibras, o que contribuiu para o agravamento da constipação e surgimento do fecaloma. O caso lembra ainda que doenças em um sistema fisiológico (fecaloma/sistema digestivo) podem se manifestar em outro sistema com reserva já comprometida (agitação/cérebro). O medicamento utilizado para tratar a agitação (risperidona) contribuiu para as quedas. A diarreia paradoxal - complicação da constipação em idosos acamados - não foi identificada, o que levou à prescrição de antiperistáltico para o paciente com fecaloma (que na maioria das vezes pode ser identificado através de um toque retal). Sem intervenção adequada, o quadro tende a se agravar (mais quedas; risco de fratura; maior período acamado; síndrome de imobilidade).<br><br>A presença de múltiplos determinantes de doenças é um dos motivos pelos quais as condutas mais efetivas são as que envolvem o diagnóstico e abordagem multidisciplinar da equipe. Algumas demandas muito comuns de idosos frágeis são, por exemplo, a necessidade de fonoterapia para distúrbios da deglutição, fisioterapia para treino de marcha e os cuidados de enfermagem para tratamento de úlceras de pressão.<br><br>O paciente deste caso clínico, por exemplo, só deverá recuperar a sua capacidade funcional se receber a assistência de uma equipe."


            , "correct": "r4"}];
    switch (questionario) {
        case 1:
            var quest = quest1;
            break;
        case 2:
            var quest = quest2;
            break;
        case 3:
            var quest = quest3;
            break;
        case 4:
            var quest = quest4;
            break;
        case "caso1":
            var quest = questCASO1;
            break;
        case "caso2":
            var quest = questCASO2;
            break;
        case "caso3":
            var quest = questCASO3;
            break;
        case "caso4":
            var quest = questCASO4;
            break;
    }

    var query_params = getQueryParams(document.location.search);
    if (count(query_params) !== quest.length) {
        $('#btn_whereigo').html('Enviar respostas');
        for (var i = 0; i < quest.length; i++) {

            if (quest[i].type === "drag") {

                $("#quizmaker").append('<div class="row newquiz-spacer"><div class="col-sm-12"> <h3>' + quest[i].p + '<br></h3></div> <div class="ligue-colunas-container"><div class="col-sm-4"> <div class="well"> <ul id="ligue-colunas-orig-' + quest[i].id + '" class="ligue-colunas-orig"> </ul><div style="clear:both"></div></div></div><div class="col-sm-8"> <div class="well"> <ul id="ligue-colunas-destino-' + quest[i].id + '" class="ligue-colunas-dest">  </ul> <div style="clear:both"></div></div> </div> <div style="clear:both"></div>  </div></div>');
                // Início dos elementos LEFT

                if (quest[i].left1) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="1" class="ligue-colunas-item bg-navy ui-draggable">' + quest[i].left1 + '</li>');
                }
                if (quest[i].left2) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="2" class="ligue-colunas-item bg-orange ui-draggable">' + quest[i].left2 + '</li>');
                }
                if (quest[i].left3) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="3" class="ligue-colunas-item bg-green ui-draggable">' + quest[i].left3 + '</li>');
                }
                if (quest[i].left4) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="4" class="ligue-colunas-item bg-red ui-draggable">' + quest[i].left4 + '</li>');
                }
                if (quest[i].left5) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="5" class="ligue-colunas-item bg-maroon ui-draggable">' + quest[i].left5 + '</li>');
                }
                if (quest[i].left6) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="6" class="ligue-colunas-item bg-aqua ui-draggable">' + quest[i].left6 + '</li>');
                }
                if (quest[i].left7) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="7" class="ligue-colunas-item bg-yellow ui-draggable">' + quest[i].left7 + '</li>');
                }

// Fim dos elementos LEFT
// 
// Início dos elementos RIGHT

                if (quest[i].right2) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="2" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right2 + '</li>');
                }
                if (quest[i].right1) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="1" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right1 + '</li>');
                }
                if (quest[i].right5) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="5" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right5 + '</li>');
                }
                if (quest[i].right3) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="3" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right3 + '</li>');
                }
                if (quest[i].right4) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="4" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right4 + '</li>');
                }
                if (quest[i].right7) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="7" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right7 + '</li>');
                }
                if (quest[i].right6) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="6" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right6 + '</li>');
                }

// Fim dos elementos RIGHT

            } else if (quest[i].type === "drag2") {

                $("#quizmaker").append('<div class="row newquiz-spacer"><div class="col-sm-12"> <h3>' + quest[i].p + '<br></h3></div> <div class="ligue-colunas-container2"><div class="col-sm-4"> <div class="well"> <ul id="ligue-colunas-orig-' + quest[i].id + '" class="ligue-colunas-orig2"> </ul><div style="clear:both"></div></div></div><div class="col-sm-8"> <div class="well"> <ul id="ligue-colunas-destino-' + quest[i].id + '" class="ligue-colunas-dest2">  </ul> <div style="clear:both"></div></div> </div> <div style="clear:both"></div>  </div></div>');
                // Início dos elementos LEFT

                if (quest[i].left1) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="1" class="ligue-colunas-item2 bg-navy ui-draggable">' + quest[i].left1 + '</li>');
                }
                if (quest[i].left2) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="2" class="ligue-colunas-item2 bg-orange ui-draggable">' + quest[i].left2 + '</li>');
                }
                if (quest[i].left3) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="3" class="ligue-colunas-item2 bg-green ui-draggable">' + quest[i].left3 + '</li>');
                }
                if (quest[i].left4) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="4" class="ligue-colunas-item2 bg-red ui-draggable">' + quest[i].left4 + '</li>');
                }
                if (quest[i].left5) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="5" class="ligue-colunas-item2 bg-maroon ui-draggable">' + quest[i].left5 + '</li>');
                }
                if (quest[i].left6) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="6" class="ligue-colunas-item2 bg-aqua ui-draggable">' + quest[i].left6 + '</li>');
                }
                if (quest[i].left7) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="7" class="ligue-colunas-item2 bg-yellow ui-draggable">' + quest[i].left7 + '</li>');
                }

// Fim dos elementos LEFT
// 
// Início dos elementos RIGHT

                if (quest[i].right2) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="2" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right2 + '</li>');
                }
                if (quest[i].right1) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="1" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right1 + '</li>');
                }
                if (quest[i].right5) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="5" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right5 + '</li>');
                }
                if (quest[i].right3) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="3" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right3 + '</li>');
                }
                if (quest[i].right4) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="4" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right4 + '</li>');
                }
                if (quest[i].right7) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="7" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right7 + '</li>');
                }
                if (quest[i].right6) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="6" class="ligue-colunas-item2 ui-droppable"><span class="ligue-colunas-deselect2">×</span>' + quest[i].right6 + '</li>');
                }

// Fim dos elementos RIGHT


            } else if (quest[i].type === "multiple_drag") {

                $("#quizmaker").append('<div class="row newquiz-spacer"><div class="col-sm-12"> <h3>' + quest[i].p + '<br></h3></div> <div class="ligue-colunas-container"><div class="col-sm-4"> <div class="well"> <ul id="ligue-colunas-orig-' + quest[i].id + '" class="ligue-colunas-orig"> </ul><div style="clear:both"></div></div></div><div class="col-sm-8"> <div class="well"> <ul id="ligue-colunas-destino-' + quest[i].id + '" class="ligue-colunas-dest">  </ul> <div style="clear:both"></div></div> </div> <div style="clear:both"></div>  </div></div>');
                // Início dos elementos LEFT

                if (quest[i].left1) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="1" class="ligue-colunas-item bg-navy ui-draggable">' + quest[i].left1 + '</li>');
                }
                if (quest[i].left2) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="2" class="ligue-colunas-item bg-orange ui-draggable">' + quest[i].left2 + '</li>');
                }
                if (quest[i].left3) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="3" class="ligue-colunas-item bg-green ui-draggable">' + quest[i].left3 + '</li>');
                }
                if (quest[i].left4) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="4" class="ligue-colunas-item bg-red ui-draggable">' + quest[i].left4 + '</li>');
                }
                if (quest[i].left5) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="5" class="ligue-colunas-item bg-maroon ui-draggable">' + quest[i].left5 + '</li>');
                }
                if (quest[i].left6) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="6" class="ligue-colunas-item bg-aqua ui-draggable">' + quest[i].left6 + '</li>');
                }
                if (quest[i].left7) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="7" class="ligue-colunas-item bg-yellow ui-draggable">' + quest[i].left7 + '</li>');
                }
                if (quest[i].left8) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="8" class="ligue-colunas-item bg-yellow ui-draggable">' + quest[i].left8 + '</li>');
                }
                if (quest[i].left9) {
                    $("#ligue-colunas-orig-" + quest[i].id).append('<li data-left="9" class="ligue-colunas-item bg-yellow ui-draggable">' + quest[i].left9 + '</li>');
                }

// Fim dos elementos LEFT
// 
// Início dos elementos RIGHT

                if (quest[i].right2) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="2" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right2 + '</li>');
                }
                if (quest[i].right1) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="1" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right1 + '</li>');
                }
                if (quest[i].right5) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="5" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right5 + '</li>');
                }
                if (quest[i].right3) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="3" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right3 + '</li>');
                }
                if (quest[i].right4) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="4" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right4 + '</li>');
                }
                if (quest[i].right7) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="7" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right7 + '</li>');
                }
                if (quest[i].right6) {
                    $("#ligue-colunas-destino-" + quest[i].id).append('<li data-right="6" class="ligue-colunas-item ui-droppable"><span class="ligue-colunas-deselect">×</span>' + quest[i].right6 + '</li>');
                }

            } else {

                if (quest[i].r1) {
                    var btn1 = "<input type=\"radio\" name=\"p" + quest[i].id + "\" value=\"1\" id=\"p" + quest[i].id + "_1\"><label  for=\"p" + quest[i].id + "_1\">" + quest[i].r1 + "</label>";
                } else {
                    var btn1 = "";
                }
                if (quest[i].r2) {
                    var btn2 = "<input type=\"radio\" name=\"p" + quest[i].id + "\" value=\"2\" id=\"p" + quest[i].id + "_2\"><label  for=\"p" + quest[i].id + "_2\">" + quest[i].r2 + "</label>";
                } else {
                    var btn2 = "";
                }
                if (quest[i].r3) {
                    var btn3 = "<input type=\"radio\" name=\"p" + quest[i].id + "\" value=\"3\" id=\"p" + quest[i].id + "_3\"><label  for=\"p" + quest[i].id + "_3\">" + quest[i].r3 + "</label>";
                } else {
                    var btn3 = "";
                }
                if (quest[i].r4) {
                    var btn4 = "<input type=\"radio\" name=\"p" + quest[i].id + "\" value=\"4\" id=\"p" + quest[i].id + "_4\"><label  for=\"p" + quest[i].id + "_4\">" + quest[i].r4 + "</label>";
                } else {
                    var btn4 = "";
                }
                if (quest[i].r5) {
                    var btn5 = "<input type=\"radio\" name=\"p" + quest[i].id + "\" value=\"5\" id=\"p" + quest[i].id + "_5\"><label  for=\"p" + quest[i].id + "_5\">" + quest[i].r5 + "</label>";
                } else {
                    var btn5 = "";
                }
                if (quest[i].sx) {
                    var addextra = b64_to_utf8(quest[i].sx);
                } else {
                    var addextra = "";
                }
                var mk = [btn1, btn2, btn3, btn4, btn5];
                var ss = Shuffle(mk);
                $("#quizmaker").append('<div class="row newquiz-spacer"><div class="col-sm-12"><h3>' + quest[i].id + '. ' + quest[i].p + '</h3></div><div class="col-sm-12 newquiz-question" id="dump_' + quest[i].id + '">' + addextra + ss[0] + '' + ss[1] + '' + ss[2] + ss[3] + '' + ss[4] + '</div></div>');
            }
        }
    } else {
        $('#btn_whereigo').html('Tentar novamente');
        $('#titulo-quiz').html('Confira a correção de suas respostas');
        var acertos = 0;
        var array_unidade = new Array();
        var arrayQueryParams = [
            {
                id: 1,
                chosen: query_params.p1
            },
            {
                id: 2,
                chosen: query_params.p2
            },
            {
                id: 3,
                chosen: query_params.p3
            },
            {
                id: 4,
                chosen: query_params.p4
            },
            {
                id: 5,
                chosen: query_params.p5
            },
            {
                id: 6,
                chosen: query_params.p6
            }

        ];
        // Esse array contem as numerações de todas as alternativas escolhidas pelo usuário em todas as questões
        switch (questionario) {
            case 1:
                var limite = 5;
                break;
            case 2:
                var limite = 5;
                break;
            case 3:
                var limite = 4;
                break;
            case 4:
                var limite = 7;
                break;
            case "caso1":
                var limite = 1;
                break;
            case "caso2":
                var limite = 1;
                break;
            case "caso3":
                var limite = 1;
                break;
            case "caso4":
                var limite = 1;
                break;
        }

        for (var i = 0; i < quest.length; i++) {

            for (var j = 0; j < limite; j++) {

                if (quest[i].id === arrayQueryParams[j].id) {

                    if (quest[i].type !== "drag" && quest[i].type !== "drag2") {

                        var questao = new Object();
                        //Aqui eu verifico a numeração da alternativa em questão para exibir o feedback e a resposta para ela.
                        if (parseInt(arrayQueryParams[j].chosen) === 1) {
                            var feedback = quest[i].f1;
                            var qst = quest[i].r1;
                        }

                        if (parseInt(arrayQueryParams[j].chosen) === 2) {
                            var feedback = quest[i].f2;
                            var qst = quest[i].r2;
                        }

                        if (parseInt(arrayQueryParams[j].chosen) === 3) {
                            var feedback = quest[i].f3;
                            var qst = quest[i].r3;
                        }

                        if (parseInt(arrayQueryParams[j].chosen) === 4) {
                            var feedback = quest[i].f4;
                            var qst = quest[i].r4;
                        }

                        if (parseInt(arrayQueryParams[j].chosen) === 5) {
                            var feedback = quest[i].f5;
                            var qst = quest[i].r5;
                        }
                        /*
                         *  Verificação se a alternativa está correta
                         *  
                         *  caso a questão definida no array como correta através do correct seja igual a que o usuário escolheu está certo
                         */
                        questao.question = quest[i].id;
                        questao.alternative = arrayQueryParams[j].chosen;
                        if (quest[i].correct === "r" + arrayQueryParams[j].chosen) {
                            questao.correct = true;
                            var myawnser = '<p class="quiz-correta">';
                            acertos++;
                        } else {
                            questao.correct = false;
                            var myawnser = '<p class="quiz-incorreta">';
                        }

                        /**
                         * Fim da verificação se a alternativa está correta
                         */

                        array_unidade[i] = questao;
                        $("#quizmaker").append('<div class="row newquiz-spacer"><div class="col-sm-12 newquiz-question" id="dump_' + quest[i].id + '"><p class="quiz-topo">' + quest[i].id + '. ' + quest[i].p + '</p>' + myawnser + qst + '</p><p class="quiz-resto"><em>' + feedback + '<em></p></div></div>');
                    } else {

                        var questao_drag = new Object();
                        questao_drag.question = quest[i].id;
                        questao_drag.alternative = JSON.parse(arrayQueryParams[j].chosen);
                        var length = questao_drag.alternative.length;
                        var k;
                        var associated = true;
                        for (k = 0; k < length; k++) {

                            var position = questao_drag.alternative[k];
                            if (position[0] !== position[1]) {
                                associated = false;
                            }
                        }

                        questao_drag.correct = associated;
                        array_unidade[i] = questao_drag;
                    }
                }
            }
        }

        var arrayUnidades = ["u1", "u2", "u3", "u4", "c1", "c2", "c3", "c4"];
        var gradenow = acertos * 2;
        switch (questionario) {
            case 1:
                caso_resposta(array_unidade, arrayUnidades[0]);
                atualizarAndamento('U1', 'U1_VAL', gradenow);
                break;
            case 2:
                caso_resposta(array_unidade, arrayUnidades[1]);
                atualizarAndamento('U2', 'U2_VAL', gradenow);
                break;
            case 3:
                caso_resposta(array_unidade, arrayUnidades[2]);
                atualizarAndamento('U3', 'U3_VAL', gradenow);
                break;
            case 4:
                caso_resposta(array_unidade, arrayUnidades[3]);
                atualizarAndamento('U4', 'U4_VAL', gradenow);
                break;
            case "caso1":
                caso_resposta(array_unidade, arrayUnidades[4]);
                //atualizarAndamento('C1', 'C1_VAL', gradenow);
                break;
            case "caso2":
                caso_resposta(array_unidade, arrayUnidades[5]);
                // atualizarAndamento('C2', 'C2_VAL', gradenow);
                break;
            case "caso3":
                caso_resposta(array_unidade, arrayUnidades[6]);
                //atualizarAndamento('C3', 'C3_VAL', gradenow);
                break;
            case "caso4":
                caso_resposta(array_unidade, arrayUnidades[7]);
                //atualizarAndamento('C4', 'C4_VAL', gradenow);
                break;
        }
    }
}



function count(obj) {
    var i = 0;
    for (var x in obj)
        if (obj.hasOwnProperty(x))
            i++;
    return i;
}

function b64_to_utf8(str) {
    return decodeURIComponent(escape(window.atob(str)));
}

function Shuffle(o) {
    for (var j, x, i = o.length; i; j = parseInt(Math.random() * i), x = o[--i], o[i] = o[j], o[j] = x)
        ;
    return o;
}
;
// Essa função recebe os parâmetros da URL após ? e devolve um objeto com as combinações pergunta = alternativa escolhida
function getQueryParams(locationSearch) {

    locationSearch = locationSearch.split("+").join(" ");
    var params = {};
    var tokens;
    var re = /[?&]?([^=]+)=([^&]*)/g;
    while (tokens = re.exec(locationSearch)) {
        params[decodeURIComponent(tokens[1])] = decodeURIComponent(tokens[2]);
    }

    return params;
}

function makeDrag(questao) {

    var arrayDragObject = new Array();
    $('.ligue-colunas-info').on('click', function () {
        $('div.txt' + $(this).data('modal-index')).show();
    });
    $('div.btn-fechar > a').on('click', function (event) {
        event.preventDefault();
        $(this).closest('.txt-modal').hide();
    });
    var colorClasses = ["navy", "orange", "green", "red", "maroon", "purple", "aqua", "yellow", "olive", "teal", "fucshia", "lime"],
            container_geral = $(".ligue-colunas-container"),
            container_origem = $(".ligue-colunas-orig"),
            container_destino = $(".ligue-colunas-dest"),
            items_origem = container_origem.children(".ligue-colunas-item"),
            items_destino = container_destino.children(".ligue-colunas-item"),
            bg_regex = /\bbg-[\w-]+/gi,
            get_color = function (elem) {
                var matches;
                if (!elem.length)
                    return "";
                matches = elem.prop("class").match(bg_regex);
                return matches ? matches[0] : "";
            },
            remove_color = function (index, cls) {
                return cls.match(bg_regex).join(" ");
            };
    items_origem
            .on("click", function () {
                var $this = $(this);
                if ($this.hasClass("active")) {
                    $this.removeClass("active");
                    return false;
                }

                items_origem.filter(".active").removeClass("active");
                $this.addClass("active");
            })
            .draggable({
                containment: container_geral,
                helper: "clone",
                cursorAt: {left: 37, top: 13},
                cursor: "default",
                opacity: 0.5,
                revert: function (valid) {
                    valid || items_origem.filter(".active").removeClass("active");
                    return !valid;
                },
                start: function (event, ui) {
                    $(this).trigger("click");
                }
            });
    items_destino
            .on("click", function () {
                var $this = $(this),
                        this_color = get_color($this),
                        active = items_origem.filter(".active");
                cls = get_color(active);
                if (!active.length)
                    return false;
                if (active.hasClass("selected") && active.hasClass(this_color))
                    return false;
                if (active.hasClass("selected")) {
                    items_destino.filter(".selected." + cls).removeClass("selected").removeClass(remove_color);
                }


                var num_active = $(active.data("left"))[0];
                var dragObject = new Object();
                dragObject.alternative_left = num_active;
                dragObject.alternative_right = $(this).data('right');
                if (num_active == $(this).data('right')) {
                    dragObject.correct = true;
                } else {
                    dragObject.correct = false;
                }


                var achei = false;
                for (var i = 0; i < arrayDragObject.length; i++) {

                    if (arrayDragObject[i].alternative_left == num_active) {
                        arrayDragObject[i].alternative_right = dragObject.alternative_right;
                        arrayDragObject[i].correct = dragObject.correct;
                        achei = true;
                    }
                }

                if (achei === false) {
                    arrayDragObject.push(dragObject);
                }

                active.removeClass("active").addClass("selected");
                this_color && items_origem.filter("." + this_color).removeClass("selected");
                $this.removeClass(this_color).addClass("selected " + cls);
                //EXECUTA QUANDO A QUESTÃO É FINALIZADA
                if ($('#ligue-colunas-destino-' + questao + ' > li').length === $('#ligue-colunas-destino-' + questao + ' > li.selected').length) {
                    /*
                     * Contabilizando as questoes corretas	
                     */

                    var arrayAnswer = new Array();
                    for (i = 0; i < arrayDragObject.length; i++) {

                        var arrayAlternative = new Array();
                        arrayAlternative[0] = arrayDragObject[i].alternative_left;
                        arrayAlternative[1] = arrayDragObject[i].alternative_right;
                        arrayAnswer[i] = arrayAlternative;
                    }

                    validateHiddenInput(questao, JSON.stringify(arrayAnswer));
                }

            })
            .droppable({
                accept: ".ligue-colunas-item",
                hoverClass: "drop-hover",
                drop: function (event, ui) {
                    $(this).trigger("click");
                }
            });
    $(".ligue-colunas-deselect").on("click", function (event) {
        var $item = $(this.parentElement),
                color = get_color($item);
        if ($item.hasClass("selected")) {
            $item.removeClass("selected " + color);
            items_origem.filter(".selected." + color).removeClass("selected");
            items_origem.filter(".active").removeClass("active");
        }

        event.stopPropagation();
        return false;
    });
}

function makeDrag2(questao) {

    var arrayDragObject2 = new Array();
    $('.ligue-colunas-info2').on('click', function () {
        $('div.txt' + $(this).data('modal-index')).show();
    });
    $('div.btn-fechar2 > a').on('click', function (event) {
        event.preventDefault();
        $(this).closest('.txt-modal').hide();
    });
    var colorClasses = ["navy", "orange", "green", "red", "maroon", "purple", "aqua", "yellow", "olive", "teal", "fucshia", "lime"],
            container_geral = $(".ligue-colunas-container2"),
            container_origem = $(".ligue-colunas-orig2"),
            container_destino = $(".ligue-colunas-dest2"),
            items_origem = container_origem.children(".ligue-colunas-item2"),
            items_destino = container_destino.children(".ligue-colunas-item2"),
            bg_regex = /\bbg-[\w-]+/gi,
            get_color = function (elem) {
                var matches;
                if (!elem.length)
                    return "";
                matches = elem.prop("class").match(bg_regex);
                return matches ? matches[0] : "";
            },
            remove_color = function (index, cls) {
                return cls.match(bg_regex).join(" ");
            };
    items_origem
            .on("click", function () {
                var $this = $(this);
                if ($this.hasClass("active")) {
                    $this.removeClass("active");
                    return false;
                }

                items_origem.filter(".active").removeClass("active");
                $this.addClass("active");
            })
            .draggable({
                containment: container_geral,
                helper: "clone",
                cursorAt: {left: 37, top: 13},
                cursor: "default",
                opacity: 0.5,
                revert: function (valid) {
                    valid || items_origem.filter(".active").removeClass("active");
                    return !valid;
                },
                start: function (event, ui) {
                    $(this).trigger("click");
                }
            });
    items_destino
            .on("click", function () {
                var $this = $(this),
                        this_color = get_color($this),
                        active = items_origem.filter(".active");
                cls = get_color(active);
                if (!active.length)
                    return false;
                if (active.hasClass("selected") && active.hasClass(this_color))
                    return false;
                if (active.hasClass("selected")) {
                    items_destino.filter(".selected." + cls).removeClass("selected").removeClass(remove_color);
                }


                var num_active = $(active.data("left"))[0];
                var dragObject = new Object();
                dragObject.alternative_left = num_active;
                dragObject.alternative_right = $(this).data('right');
                if (num_active == $(this).data('right')) {
                    dragObject.correct = true;
                } else {
                    dragObject.correct = false;
                }


                var achei = false;
                for (var i = 0; i < arrayDragObject2.length; i++) {

                    if (arrayDragObject2[i].alternative_left == num_active) {
                        arrayDragObject2[i].alternative_right = dragObject.alternative_right;
                        arrayDragObject2[i].correct = dragObject.correct;
                        achei = true;
                    }
                }

                if (achei === false) {
                    arrayDragObject2.push(dragObject);
                }

                active.removeClass("active").addClass("selected");
                this_color && items_origem.filter("." + this_color).removeClass("selected");
                $this.removeClass(this_color).addClass("selected " + cls);
                //EXECUTA QUANDO A QUESTÃO É FINALIZADA
                if ($('#ligue-colunas-destino-' + questao + ' > li').length === $('#ligue-colunas-destino-' + questao + ' > li.selected').length) {
                    /*
                     * Contabilizando as questoes corretas	
                     */

                    var arrayAnswer = new Array();
                    for (i = 0; i < arrayDragObject2.length; i++) {

                        var arrayAlternative = new Array();
                        arrayAlternative[0] = arrayDragObject2[i].alternative_left;
                        arrayAlternative[1] = arrayDragObject2[i].alternative_right;
                        arrayAnswer[i] = arrayAlternative;
                    }

                    validateHiddenInput(questao, JSON.stringify(arrayAnswer));
                }

            })
            .droppable({
                accept: ".ligue-colunas-item2",
                hoverClass: "drop-hover2",
                drop: function (event, ui) {
                    $(this).trigger("click");
                }
            });
    $(".ligue-colunas-deselect2").on("click", function (event) {
        var $item = $(this.parentElement),
                color = get_color($item);
        if ($item.hasClass("selected")) {
            $item.removeClass("selected " + color);
            items_origem.filter(".selected." + color).removeClass("selected");
            items_origem.filter(".active").removeClass("active");
        }

        event.stopPropagation();
        return false;
    });
}

function makeMultipleDrag(questao) {

    var arrayDragObject = new Array();
    $('.ligue-colunas-info').on('click', function () {
        $('div.txt' + $(this).data('modal-index')).show();
    });
    $('div.btn-fechar > a').on('click', function (event) {
        event.preventDefault();
        $(this).closest('.txt-modal').hide();
    });

    var colorClasses = ["navy", "orange", "green", "red", "maroon", "purple", "aqua", "yellow", "olive", "teal", "fucshia", "lime"];

    var container_geral = $(".ligue-colunas-container");
    var container_origem = $(".ligue-colunas-orig");
    var container_destino = $(".ligue-colunas-dest");

    var items_origem = container_origem.children(".ligue-colunas-item");
    var items_destino = container_destino.children(".ligue-colunas-item");

    var bg_regex = /\bbg-[\w-]+/gi;

    var get_color = function (elem) {
        var matches;
        if (!elem.length)
            return "";
        matches = elem.prop("class").match(bg_regex);
        return matches ? matches[0] : "";
    };

    var remove_color = function (index, cls) {
        return cls.match(bg_regex).join(" ");
    };

    items_origem.on("click", function () {
        var $this = $(this);
        if ($this.hasClass("active")) {
            $this.removeClass("active");
            return false;
        }

        items_origem.filter(".active").removeClass("active");
        $this.addClass("active");
    });

    items_origem.draggable({
        containment: container_geral,
        helper: "clone",
        cursorAt: {left: 37, top: 13},
        cursor: "default",
        opacity: 0.5,
        revert: function (valid) {
            valid || items_origem.filter(".active").removeClass("active");
            return !valid;
        },
        start: function (event, ui) {
            $(this).trigger("click");
        }
    });

    items_destino.on("click", function () {

        var $this = $(this);
        var this_color = get_color($this);
        var active = items_origem.filter(".active");
        var cls = get_color(active);

        if (!active.length)
            return false;
        if (active.hasClass("selected") && active.hasClass(this_color))
            return false;
        if (active.hasClass("selected")) {
            items_destino.filter(".selected." + cls).removeClass("selected").removeClass(remove_color);
        }

        var num_active = $(active.data("left"))[0];
        var dragObject = new Object();

        dragObject.alternative_left = num_active;
        dragObject.alternative_right = $(this).data('right');

        if (num_active == $(this).data('right')) {
            dragObject.correct = true;
        } else {
            dragObject.correct = false;
        }

        var achei = false;
        for (var i = 0; i < arrayDragObject.length; i++) {

            if (arrayDragObject[i].alternative_left == num_active) {
                arrayDragObject[i].alternative_right = dragObject.alternative_right;
                arrayDragObject[i].correct = dragObject.correct;
                achei = true;
            }
        }

        if (achei === false) {
            arrayDragObject.push(dragObject);
        }

        active.removeClass("active").addClass("selected");
        this_color && items_origem.filter("." + this_color).removeClass("selected");
        $this.removeClass(this_color).addClass("selected " + cls);

        //EXECUTA QUANDO A QUESTÃO É FINALIZADA
        if ($('#ligue-colunas-destino-' + questao + ' > li').length === $('#ligue-colunas-destino-' + questao + ' > li.selected').length) {
            /*
             * Contabilizando as questoes corretas	
             */

            var arrayAnswer = new Array();
            for (i = 0; i < arrayDragObject.length; i++) {

                var arrayAlternative = new Array();
                arrayAlternative[0] = arrayDragObject[i].alternative_left;
                arrayAlternative[1] = arrayDragObject[i].alternative_right;
                arrayAnswer[i] = arrayAlternative;
            }

            validateHiddenInput(questao, JSON.stringify(arrayAnswer));
        }

    });

    items_destino.droppable({
        accept: ".ligue-colunas-item",
        hoverClass: "drop-hover",
        drop: function (event, ui) {
            $(this).trigger("click");
        }
    });

    $(".ligue-colunas-deselect").on("click", function (event) {
        var $item = $(this.parentElement),
                color = get_color($item);
        if ($item.hasClass("selected")) {
            $item.removeClass("selected " + color);
            items_origem.filter(".selected." + color).removeClass("selected");
            items_origem.filter(".active").removeClass("active");
        }

        event.stopPropagation();
        return false;
    });
}
