var app = new Vue({
  el: '#app',
  data: {
    curso: '',
    end: '',
    selectedCourse: 0,
    proximoCurso: 'Proximo',
    cursoAtual: '',
    status: '',
    U4t1: '',
    U4t2: '',
    U4t3: '',
    U4t4: '',
    selectedLink: false,
    mat: '',
    instance: '',
    element: '',
    slideObj: '',
    exec1Opt: 0
  },
  created: function () {
    this.status = unasus.pack.getStatus();
    this.mat = M;
    this.atualizarAndamento("U4");
    this.$nextTick(function () {
      this.startSlider('#slide0');
    });
    this.$http.get('course_condicoes_clinicas.json').then(function (response) {
      this.curso = response.body;
    });
  },
  methods: {
    proximo: function () {
      this.selectedCourse++;
      this.courseSelect(this.selectedCourse, 'next');
    },
    anterior: function () {
      this.selectedCourse--;
      this.courseSelect(this.selectedCourse, 'prev');
    },
    putCheck: function (value) {
      var code = value.code;
      switch (code) {
        case "U4T1":
          return this.status.U4T1
          break;
        case "U4T2":
          return this.status.U4T2
          break;
        case "U4T3":
          return this.status.U4T3
          break;
        case "U4T4":
          return this.status.U4T4
          break;
        default:
          console.log('Nenhuma escolha')
      }
    },
    courseSelect: function (value, ind) {
      if ($(window).width() <= 850) {
        window.ligar(true)
      }
      if (!ind) {
        this.selectedCourse = value + 1;
      } else {
        value--;
      }
      if (value !== -1) {
        this.cursoAtual = this.curso.menu[value].name + ' ' + this.curso.menu[value].titulo;
      }
      if (this.curso.menu.length !== this.selectedCourse) {
        this.proximoCurso = this.curso.menu[this.selectedCourse].name + ' ' + this.curso.menu[this.selectedCourse].titulo;
      }
      switch (this.selectedCourse) {
        case 1:
          this.atualizarAndamento("U4T1");
          break;
        case 2:
          this.atualizarAndamento("U4T2");
          break;
        case 3:
          this.atualizarAndamento("U4T3");
          break;
        case 4:
          this.atualizarAndamento("U4T4");
          break;
        default:
      }
      this.status = unasus.pack.getStatus();
      this.end = false;
      this.selectedLink = false;
    },
    linkSelected: function (value, id, file) {
      this.currentCourse = this.selectedCourse;
      this.selectedLink = value;
      this.$nextTick(function () {
        $('#' + id).load(file);
      })
      this.end = false;
    },
    finishCourse: function () {
      this.end = true;
      this.selectedCourse = 'x';
    },
    voltar: function (value) {
      if (this.currentCourse === 1) {
        this.startSlider('#slide1');
      }
      if (this.currentCourse === 4) {
        this.startSlider('#slide4');
      }
      this.selectedCourse = this.currentCourse;
      this.selectedLink = false;
    },
    nextSlide: function (value) {
      console.log(this.instance)
      // var elem = $(value);
      // var instance = M.Carousel.getInstance(elem);
      this.instance.next();
    },
    previusSlide: function (value) {
      // var elem = $(value);
      // var instance = M.Carousel.getInstance(elem);
      this.instance.prev();
    },
    startSlider: function (id) {
      this.$nextTick(function () {
        if (!this.element) {
          this.element = $(id);
          createSlideInstace(this.element);
        }
        if ('#'+this.element[0].id !== id) {
          this.element = $(id);
          createSlideInstace(this.element);
        }
        function createSlideInstace (elem) {
          this.slideObj = this.app.mat.Carousel.init(elem, {
            fullWidth: true,
            indicators: true
          });
          this.app.instance = this.app.mat.Carousel.getInstance(elem);
        }
      })
    }
  }
})